function compareIdents(input)
{
	for(i=0; i < idents.length; i++)
	{
		if (input.value == idents[i]) return 1;
	}
	return 0;
}

function checkResult(response, fname, err)
{
	if (checkResult.arguments.length < 2 || fname == '') fname = 'identifier';
	if (checkResult.arguments.length < 3 || err == '') err = 'Used';
	input = document.forms['form'].elements[fname];
	message = document.getElementById(fname + err);
	if (response == 1)
	{
		input.className = 'error';
		message.style.visibility = "visible";
	}
	else
	{
		input.className = '';
		if (message) message.style.visibility = "hidden";
	} 
}

var req;

function loadXMLDoc(url)
{
	if (window.ActiveXObject)
	{
		req = new ActiveXObject("Microsoft.XMLHTTP");
		if (req)
		{
			req.onreadystatechange = processReqChange;
			req.open("GET", url, true);
			req.send();
		}
	}
}

function processReqChange() 
{
	if (req.readyState == 4)
	{
		if (req.status == 200)
		{
			response = req.responseXML.documentElement;
			method = response.getElementsByTagName('method')[0].firstChild.data;
			data = response.getElementsByTagName('data')[0];
			eval(method + '(data)');
		}
		else
		{
			alert("There was a problem retrieving the XML data:\n" + req.statusText);
		}
	}
}

function trim(s)
{
	s=s.replace(/ {2,}/g, " "); //     
	s=s.replace(/\t/g, " "); //  
	s=s.replace(/ +$/, ""); //   
	s=s.replace(/^ +/, ""); //   
	return s;
}

function ValidateField(fvalue, ftype, fextra)
{
	var ret = true;
	switch (ftype)
	{
		case "regexp":
			for (var k = 0; k < fextra.length; k++)
			{
				r = new RegExp(fextra[k]);
				ret = ret && r.test(fvalue);
			}
		break;
		case "text":
			if (trim(fvalue) == "") ret = false;
		break;
	}
	return ret;
}

function ValidateForm(formObj, fieldsArray)
{
	for (var i = 0; i < fieldsArray.length; i++)
	{
		if (!ValidateField(formObj.elements[fieldsArray[i][1]].value, fieldsArray[i][0], fieldsArray[i][2]))
		{
			alert("   ");
			formObj.elements[fieldsArray[i][1]].focus();
			return false;
		}
	}
	return true;
}