<?php
/**
 * HeadersFields() -      ,    -.
 * @param	$fields		array -   ,    IE::GetPreviewFields()
 * @param	$allowsort	boolean -  
 */
function HeadersFields(&$fields, $allowsort = true)
{
	$i = 0;
	echo '	<th nowrap>';
	if ($allowsort)
	{
		?><a href="index.php?<?= replaceGETparam('sort_field', $i, 'sort_mode', (getparam('sort_field') == $i ? (getparam('sort_mode')<2?2:1) : 1), 'page', (getparam('sort_field')==$i?'':(getparam('page')==0?'':0))) ?>">&nbsp;./.</a><?= (getparam('sort_field') == $i)? '<img src="img/skin/sortmode_'.((getparam('sort_mode') < 2)?'desc':'asc').'.gif" width="9" height="11" alt="" border="0">' : '' ?><?php
	}
	else
	{
		echo '&nbsp;./.';
	}
	echo '</th>';
	foreach($fields as $field_id => $value)
	{
		$GLOBALS['fields_identifiers'][] = $value['Identifier'];
		switch ($value['Kind'])
		{
			case 'ie':
				$ie_attached = new IE($GLOBALS['connection'], $value['Properties_I']);
				$ie_attached_fields = $ie_attached->GetPreviewFields();
				$preview_field = current($ie_attached_fields);
				$GLOBALS['attached'][$value['Identifier']]['preview_field'] = $preview_field['Identifier'];
				if ($ie_attached->GetCountData() > IE_FIELD_ANOTHER_ITEMS)
				{
					$GLOBALS['attached'][$value['Identifier']]['ieobj'] = $ie_attached;
					break;
				}
				$GLOBALS['attached'][$value['Identifier']]['data'] = $ie_attached->GetAllData(0, -1, 2, 1);
				break;
			case 'select':
			case 'multi':
				$field = new Field($GLOBALS['connection'], $field_id);
				$GLOBALS['selects'][$value['Identifier']] = $field->GetSelect();
				break;
		}
		$i++;
		if ($value['For_Sort'] > 0 && $allowsort)
		{
?>
	<th><a href="index.php?<?= replaceGETparam('sort_field', $i, 'sort_mode', (getparam('sort_field') == $i ? (getparam('sort_mode')<2?2:1) : $value['For_Sort']), 'page', (getparam('sort_field')==$i?'':(getparam('page')==0?'':0))) ?>"><?= ($value['Kind']=='date' && $value['Properties_I']==IE::FIELD_PROP_PUBDATE ? $value['Title'].' ()':$value['Title']) ?></a><?= (getparam('sort_field') == $i)? '<img src="img/skin/sortmode_'.((getparam('sort_mode') < 2)?'desc':'asc').'.gif" width="9" height="11" alt="" border="0">' : '' ?></th>
<?php
		}
		else
		{
			echo '<th>', ($value['Kind']=='date' && $value['Properties_I']==IE::FIELD_PROP_PUBDATE ? $value['Title'].' ()':$value['Title']), '</th>';
		}
	}
}
/**
 * HeadersAdmins() -    ,  .
 * @param	$cols		array('identifier' => 'title')
 * 							'title' -  (   -), 'identifier' - -    - ,   ID (   DataAdmins())
 */
function HeadersAdmins($cols)
{
	$GLOBALS['adms'] = new Admins($GLOBALS['connection']);
	$GLOBALS['admins'] = $GLOBALS['adms']->GetAll(0, -1);
	foreach ($cols as $title)
	{
		echo '<th>',$title,'</th>';
	}
}
/**
 * DataFields() - -     - 
 * @param	$fields		array -   ,    IE::GetPreviewFields()
 * @param	$value		array -       1 
 * @param	$sortf		int -     , -1   .
 */
function DataFields(&$fields, &$value, $sortf = -1)
{
	$i = 0;
	if (isset($value['Modified'])) echo '<td nowrap valign="top"', ($sortf == $i ? ' style="font-weight:bold;"' : ''), ' align="right">', ConvertDate($value['Modified']), '</td>';
	foreach($fields as $field)
	{
		$i++;
		if ($i == 1)
		{
			$GLOBALS['first_field_value'] = $value[$field['Identifier']];
		}
		echo '	<td valign="top"', ($sortf == $i ? ' style="font-weight:bold;"' : ''), '>';
		switch ($field['Kind'])
		{
			case 'date':
				echo '<div style="text-align:right">',ConvertDate($value[$field['Identifier']]),'</div>';
			break;
			case 'int':
			case 'float':
				echo '<div style="text-align:right">', $value[$field['Identifier']], '</div>';
			break;
			case 'select':
				if ($value[$field['Identifier']]!='') echo $GLOBALS['selects'][$field['Identifier']][$value[$field['Identifier']]];
				else echo '&nbsp;';
			break;
			case 'multi':
				if ($value[$field['Identifier']] != '')
				{
					$multi = explode(',',$value[$field['Identifier']]);
					$multi_text = array();
					foreach ($multi as $multi_id)
					{
						$multi_text[] = $GLOBALS['selects'][$field['Identifier']][$multi_id];
					}
					echo implode(', ', $multi_text);
				}
				else echo '&nbsp;';
			break;
			case 'ie':
				if ($value[$field['Identifier']] != '')
				{
					if ($field['Properties']==IE::FIELD_PROP_MULTI)
					{
						$multi_ie = explode(',', $value[$field['Identifier']]);
						$multi_ie_text = array();
						if (isset($GLOBALS['attached'][$field['Identifier']]['ieobj']))
						{
							foreach ($multi_ie as $multi_ie_id)
							{
								if (!isset($GLOBALS['attached'][$field['Identifier']]['data'][$multi_ie_id][$GLOBALS['attached'][$field['Identifier']]['preview_field']]))
								{
									$GLOBALS['attached'][$field['Identifier']]['data'][$multi_ie_id][$GLOBALS['attached'][$field['Identifier']]['preview_field']] = $GLOBALS['attached'][$field['Identifier']]['ieobj']->GetFirstPreviewFieldData($multi_ie_id);
								}
								$multi_ie_text[] = $GLOBALS['attached'][$field['Identifier']]['data'][$multi_ie_id][$GLOBALS['attached'][$field['Identifier']]['preview_field']];
							}
						}
						else //$multi_ie_text[] = '<i>/</i>';
						{
							foreach ($multi_ie as $multi_ie_id)
							{
								$multi_ie_text[] = $GLOBALS['attached'][$field['Identifier']]['data'][$multi_ie_id][$GLOBALS['attached'][$field['Identifier']]['preview_field']];
							}
						}
						echo implode(', ', $multi_ie_text);
					}
					else
					{
						if (isset($GLOBALS['attached'][$field['Identifier']]['data'][$value[$field['Identifier']]])) echo $GLOBALS['attached'][$field['Identifier']]['data'][$value[$field['Identifier']]][$GLOBALS['attached'][$field['Identifier']]['preview_field']];
						else
						{
							if (isset($GLOBALS['attached'][$field['Identifier']]['ieobj']))
							{
								$GLOBALS['attached'][$field['Identifier']]['data'][$value[$field['Identifier']]][$GLOBALS['attached'][$field['Identifier']]['preview_field']] = $GLOBALS['attached'][$field['Identifier']]['ieobj']->GetFirstPreviewFieldData($value[$field['Identifier']]);
								echo $GLOBALS['attached'][$field['Identifier']]['data'][$value[$field['Identifier']]][$GLOBALS['attached'][$field['Identifier']]['preview_field']];
							}
							else echo '<i>/</i>';
						}
					}
				}
			break;
			case 'checkbox':
				echo ($value[$field['Identifier']]) ? '' : '';
			break;
			case 'textarea':
				echo nl2br($value[$field['Identifier']]);
			break;
			default:
				echo $value[$field['Identifier']];
		}
		echo '	</td>';
	}
}
/**
 * DataAdmins() -    .
 * @param	$cols		array('identifier' => 'title')
 * 							'title' - , 'identifier' - -    - ,   ID (    -)
 * @param	$value		array -       1 
 */
function DataAdmins($cols, $value)
{
	foreach ($cols as $identificator => $title)
	{
		echo '<td>',($value[$identificator] == '' ? '' :(isset($GLOBALS['admins'][$value[$identificator]]['Name']) ? $GLOBALS['admins'][$value[$identificator]]['Name'] : '<i>./.</i>')),'</td>';
	}
}
?>