<?php
function ConvertDate($datefromdb, $nbsp = '&nbsp;', $return = '&nbsp;')
{
	global $monthsmallshort;
	if (
		preg_match('/^(\d{4})(\d{2})(\d{2})(\d{2})(\d{2})(\d{2})$/', $datefromdb, $match)
		|| preg_match('/^(\d{4})-(\d{2})-(\d{2})$/', $datefromdb, $match)
		|| preg_match('/^(\d{4})-(\d{2})-(\d{2}) (\d{2}):(\d{2}):(\d{2})$/', $datefromdb, $match)
		)
	{
		$return = (int)$match[3].$nbsp.$monthsmallshort[$match[2]].$nbsp.$match[1];
		if (isset($match[4]) && isset($match[5]))
		{
			$return .= $nbsp.$match[4].':'.$match[5];
		}
	}
	else
	{
		$return = $datefromdb;
	}
	return $return;
}
/*
InitQUERY -          
*/
function InitQUERY($page_id, $params_array)
{
	$GLOBALS['page_id'] = $page_id;
	foreach ($params_array as $param => $value)
	{
		if (isset($_REQUEST[$param])) $_SESSION['QUERY'][$page_id][$param] = $_REQUEST[$param];
		elseif (!isset($_SESSION['QUERY'][$page_id][$param])) $_SESSION['QUERY'][$page_id][$param] = $value;
	}
}
function getparam($param)
{
	return @$_SESSION['QUERY'][$GLOBALS['page_id']][$param];
}
function setparam($param, $value)
{
	$_SESSION['QUERY'][$GLOBALS['page_id']][$param] = $value;
}
/*
replaceGETparam -    URL   ,   
@params -     replaceGETparam("1", "1"[, "2", "2", ...])
   null,   ,   ,    URL
*/
function replaceGETparam()
{
	$argc = func_num_args();
	if ($argc & 1) $argc--;
	$ret = $_SERVER['QUERY_STRING'];
	if ($argc > 1)
	{
		$arg_list = func_get_args();
		for($i=0, $j=1; $j<$argc; $i+=2, $j+=2)
		{
			if ($arg_list[$j]!==null)
			{
				if ($arg_list[$j]==='')
				{
					$ret = preg_replace('/&?'.$arg_list[$i].'='.getparam($arg_list[$i]).'/', '', $ret);
				}
				else
				{
					if (isset($_GET[$arg_list[$i]]))
					{
						$ret = str_replace($arg_list[$i].'='.getparam($arg_list[$i]), $arg_list[$i].'='.urlencode($arg_list[$j]), $ret);
					}
					else
					{
						$ret .= '&'.$arg_list[$i].'='.urlencode($arg_list[$j]);
					}
				}
			}
		}
	}
	return $ret;
}
function LeftMenu($label, $items)
{
?>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td id="nopad" valign="bottom"><img src="img/menu-frag1.gif" width="6" height="7" alt="" border="0"></td>
	<td id="nopad" class="leftmenuhead">&nbsp;<?= $label ?>&nbsp;</td>
	<td id="nopad" width="100%" background="img/menu-bg1.gif">&nbsp;</td>
	<td id="nopad" valign="bottom"><img src="img/menu-frag2.gif" width="4" height="7" alt="" border="0"></td>
</tr>
<tr>
	<td id="nopad" background="img/menu-bg2.gif"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
	
<?php
	if (count($items)==1)
	{
		echo '<td colspan="2">', $items[0];
	}
	else
	{
		echo '<td colspan="2" id="nopad"><table border="0" width="100%" style="margin: 2px 0px 3px 2px">';
		foreach ($items as $i => $item)
		{
			echo '<tr><td align="right" valign="top" id="nopad" width="1">'.($i+1).'.&nbsp;</td><td id="nopad">'.$item.'</td></tr>';
		}
		echo '</table>';
	}
?>
	</td>
	<td id="nopad" background="img/menu-bg3.gif"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>	
</tr>
<tr>
	<td id="nopad" colspan="4" background="img/menu-bg4.gif"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
</tr>
</table>
<br>
<?php
}
?>