<?php
if(!defined('__STATIC__'))
{
	define('__STATIC__', true);
	define('FILE_UPLOAD_STATIC_DIR', realpath(dirname(__FILE__).'/../../../../files/statics').'/');

//	include_once(dirname(__FILE__).'/../../../../inc/classes/storage.php');

	class Statics extends Storage
	{
		function __construct(&$connection, $id = null)
		{
			parent::__construct($connection, 'statics', 'Static_Id');
			$this->SetId($id);
		}

		function CountAll()
		{
			return $this->CountRecs($this->table);
		}

		function GetNextId()
		{
			return $this->_GetEntityProperties($this->table);
		}

		function GetIdentifiers()
		{
			return $this->GetPairs($this->table, null, 'Identifier');
		}

		function Create($identifier, $title, $kind)
		{
			if (in_array($identifier, $this->GetIdentifiers())) return false;
			$sql = 'INSERT INTO '.$this->table." SET Identifier='$identifier', Title='$title', Kind='$kind'";
			if ($this->connection->exec($sql))
			{
				$this->id = $this->connection->getInsertedId();
				return $this->id;
			}
			else return false;
		}

		function Update($title)
		{
			if ($this->id == null) return false;
			$sql = 'UPDATE '.$this->table." SET Title='$title' WHERE Static_Id=".$this->id;
			return $this->connection->exec($sql);
		}

		function UpdateValue($value, $admin_id)
		{
			if ($this->id == null) return false;
			$sql = 'UPDATE '.$this->table." SET Admin_Id=$admin_id, Value='$value' WHERE Static_Id=".$this->id;
			return $this->connection->exec($sql);
		}

		function Delete()
		{
			if ($this->id == null) return false;
			$sql = 'DELETE FROM '.$this->table.' WHERE Static_id='.$this->id;
			$this->connection->exec($sql);
			$this->id = null;
			return true;
		}

		function GetAll($special = false, $order = "Title")
		{
			$ret = $this->GetAllRecs($this->table, "Identifier,Title,Kind,Admin_Id", "Static_id", $order);
			return $ret;
		}

		function GetRecordById($id)
		{
			$ret = $this->GetRec($this->table, "*", "Static_Id=".$id);
			if (!$ret)
			{
				$ret = false;
			}
			return $ret;
		}

		function GetTextByIdentifier($identifier)
		{
			return $this->GetRec($this->table, "Value", "Identifier='".$identifier."'");
		}

		function GetFileNameByIdentifier($identifier)
		{
			$ret = $this->GetRec($this->table, "Static_Id,Value", "Identifier='".$identifier."'");
			if (!$ret)
			{
				$ret = false;
			}
			return $ret["Static_Id"]."_".$ret["Value"];
		}

		function GetImgByIdentifier($identifier)
		{
			$filename = 'files/statics/'.$this->GetFileNameByIdentifier($identifier);
			if (file_exists($filename))
			{
				$size = getimagesize($filename);
				return '<img src="/'.$filename.'" width="'.$size[0].'" height="'.$size[1].'" alt="" border="0">';
			}
			else return '';
		}

		function GetByIdentifier($identifier)
		{
        	$ret = $this->GetRec($this->table, "Static_Id,Title", "Identifier='$identifier'");
			if (is_array($ret))
			{
				$ret["Identifier"] = $identifier;
			}
			else
				$ret = false;
			return $ret;
		}
	}
}
?>