<?php
//   
define("ADMIN_CHAPTER_DEFAULT", "default");

//   
$field_types = Array
(
	"text"		=> "",
	"html"		=> " ",
	"date"		=> "",
	"select"	=> "  ",
	"multi"		=> "   ",
	"textarea"	=> " ",
	"ie"		=> "  ",
	"checkbox"	=> "",
	"regexp"	=> " ",
	"int"		=> " ",
	"float"		=> " ",
	"file"		=> "",
	"files"		=> "",
	"password"	=> "",
);

//       
$rubfield_restrictions = Array
(
	'only_in_subrub' => '  ,  ',
	'only_in_fixlevel' => '    '
	
);

//  
$static_field_types = Array
(
	"text" => "",
	"textarea" => " ",
	"html" => " ",
	"file" => "",
	"code" => ""
);

//    
$field_sort_types = array(
	"0" => " ",
	"1" => " ",
	"2" => " "
);

//     
$field_sort_enable = array('text', 'regexp', 'file', 'date', 'checkbox', 'int', 'float');

//     
$field_preview_enable = array('text', 'select', 'multi', 'checkbox', 'regexp', 'file', 'date', 'ie', 'int', 'float');

//    
$rub_sort_types = array(
	Rub::SORT_IE_PUBLDATE => '  ',
	Rub::SORT_IE_HAND => '',
	Rub::SORT_IE_ALPHABET => ' '
);

//    
$id_filters = array(
	"Rubricator" => array(
		"filter" => TOLOWER,
		"new" => "rubricator_%d",
		"mask" => array("/^[a-z_\-\d]+$/")
	),
	"Rub" => array(
		"filter" => TOLOWER,
		"new" => "rubric_%d",
		"mask" => array("/^[a-z]+[a-z_\-\d]+$/"),
		'comment' => '  - <b>   </b>  <b></b>  ,      .     : "<b>_</b>"  "<b>-</b>",  &quot;<b>%s</b>&quot;.'
	),
	"IE" => array(
		"filter" => TOLOWER,
		"new" => "element_%d",
		"mask" => array("/^[a-z_\-\d]+$/"),
		'comment' => '  - <b>   </b>  <b></b>  .     : "<b>_</b>"  "<b>-</b>",  &quot;<b>%s</b>&quot;.'
	),
	"IEGroups" => array(
		"filter" => 0,
		"new" => "IE_Group_%d",
		"mask" => array("/^[a-zA-Z_\-\d]+$/")
	),
	"Field" => array(
		"filter" => TOUPPER,
		"new" => "FIELD_%d",
		"mask" => array("/^[A-Z]+[A-Z_\d]*$/"),
		'comment' => '  - <b>   </b>  <b></b>  ,      .      "<b>_</b>",  &quot;<b>%s</b>&quot;.'
	),
	"Template" => array(
		"filter" => 0,
		"new" => "Template_%d",
		"mask" => array("/^[a-zA-Z_\-\d]+$/")
	),
	"Select" => array(
		"filter" => 0,
		"new" => "Select_%d", // obsolete
		"mask" => array("/^[a-zA-Z_\-\d]+$/")
	),
		"Form" => array(
		"filter" => 0,
		"new" => "Form_%d",
		"mask" => array("/^[a-zA-Z_\-\d]+$/"),
		'comment' => '  - <b>     </b>, <b></b>  .      "<b>_</b>",  &quot;<b>%s</b>&quot;.'
	)
);

include(MOD_PATH.'/conf.reserved_sql_words.php');

//  
$regs = array(
	"" => "",
	"E-mail" => "^[^@]+@[^.@]{1}[^@]+\.[A-Za-z]{2,}$",
	" " => "^[0-9]+$",
	" . " => "^[0-9]+\.[0-9]+$",
	" hexadecimal (16-based)" => "^[0-9a-fA-F]+$",
	"IP-" => "^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$",
	"URL (not IP)" => "^(http|https|ftp):\/\/[^\/]{2,}\.[A-Za-z]{2,}\/?.*$",
);

//  ,  .
$autosave_intervals = array(5, 10, 15, 30);

//  
define('APL_AUTOSAVE_TEXT', 1);
define('APL_AUTOSAVE_DATA', 2);
?>