<?php
require '../../../../include.admin.php';
//include(MOD_PATH."/classes/form.php");
//include(MOD_PATH."/classes/ie.php");
//include(MOD_PATH."/classes/field.php");

$return = '';

if ($_SESSION['User']->IsWebMaster())
{
	$title = trim(parseHtml($_POST['title']));
	
	if (strlen($title) == 0 || (isset($_POST['ie_id']) && (int)$_POST['ie_id'] == 0))
	{
		if (isset($id)) $return = "&topic=edit&id=".$id;
		$_SESSION["HTTP_POST_VARS"] = $_POST;
		$_SESSION["Error"]->Add(array("level"=>E_ERROR, "message"=>E_MSG_FORM));
	}
	else
	{
		if (isset($id))
		{
			$objForm = new Form($connection, $id);
			$objForm->Update($title, $connection->EscapeString(preg_replace(array("/<script.*>.*<\/script>/is","/^<P>&nbsp;<\/P>$/i","/^<P><\/P>$/i"), "", stripslashes($_POST['body']))));
		}
		else
		{
			if (($identifier = checkIdentifier($_POST['identifier'], "Form")))
			{
				$objForm = new Form($connection);

////////////////     $body /////////////////////////////////////
				
				$ie = new IE($connection, (int)$_POST['ie_id']);
				$fields = $ie->GetFields();

				$body = '<table class="aplite_noborders" cellpadding="0" cellspacing="0"><form method="post" name="'.$_POST['identifier'].'" class="aplite_form"><tbody>';

				foreach($fields as $field_id => $value)
				{
					$body_pref = '<tr><td>'.$value['Title'].'</td><td>';
					$body_suff = '</td></tr>';
					switch($value['Kind'])
					{
						case 'text':
							$body .= $body_pref.'<input type="text" name="'.$value['Identifier'].'" value="" maxlength="255">'.$body_suff;
						break;
						
						case 'regexp':
							$body .= $body_pref.'<input type="text" name="'.$value['Identifier'].'" value="" maxlength="255">'.$body_suff;
						break;
						
						case 'checkbox':
							$body .= $body_pref.'<input style="width:0px" type="hidden" name="'.$value['Identifier'].'" value="0"><input class="checkbox" type="checkbox" name="'.$value['Identifier'].'" value="1"'.(( $value['Properties']==1 ) ? ' checked' : ''  ).'>'.$body_suff;
						break;
						
						case 'textarea':
							$body .= $body_pref.'<textarea cols="50" rows="10" name="'.$value['Identifier'].'"></textarea>'.$body_suff;
						break;
						
						case 'select':
							$body .= $body_pref;
							$field = new Field($connection, $field_id);
							$select = $field->GetSelect();
							switch($value['Properties'])
							{
								case 'select':
									$body .= '<select name="'.$value['Identifier'].'">';
									foreach($select as $sel_identif => $sel_title)
									{
										$body .= '<option value="'.$sel_identif.'">'.$sel_title.'</option>';
									}
									$body .= '</select>';
								break;
								case 'radio':
									$flag = true;
									$body .= '<table class="aplite_noborders" cellpadding="0" cellspacing="0">';
									foreach($select as $sel_identif => $sel_title)
									{
										$body .= '<tr><td><input class="checkbox" type="radio" name="'.$value['Identifier'].'" value="'.$sel_identif.'"'.(($flag) ?  ' checked' : '').'></td>';
										$body .= '<td>'.$sel_title.'</td></tr>';
										$flag = false;
									}
									$body .= '</table>';
								break;
							}
							$body .= $body_suff;
						break;
							
						case 'file':
							$body .= $body_pref.'<input style="width:0px" type="hidden" name="MAX_FILE_SIZE" value="'.FILE_UPLOAD_MAX_SIZE.'">';
							$body .= '<input type="file" name="'.$value['Identifier'].'">'.$body_suff;
						break;
					}
				}
				
				$body .= '<tr><td>&nbsp;</td><td>'.FORMS_SUBMIT_BUTTON.'</td></tr><tr><td>&nbsp;</td><td>'.FORMS_RESET_BUTTON.'</td></tr></tbody></form></table>';

/////////////////    /////////////////////////////////////////////

				if (!$objForm->Create((int)$_POST['ie_id'], $_POST['identifier'], $title, $body))
				{
					$_SESSION["HTTP_POST_VARS"] = $_POST;
					$_SESSION["Error"]->Add(array("level"=>E_ERROR, "message"=>E_MSG_SAVE));
				}
			}
			else
			{
				$_SESSION["HTTP_POST_VARS"] = $_POST;
				$_SESSION["Error"]->Add(array("level"=>E_ERROR, "message"=>E_MSG_FORM));
			}
		}
	}
}
else
{
	$_SESSION["Error"]->Add(array("level"=>E_ERROR, "message"=>E_MSG_NO_PERMISIION));
}

$connection->disconnect();

header('Location: ../../../../index.php?chapter=forms'.$return);
exit();
?>