<?php
include_once("../../../../include.admin.php");
//include_once(MOD_PATH."/classes/ie.php");

if (empty($_SESSION['User']))
{
	$_SESSION["Error"]->Add(array("level"=>E_ERROR, "message"=>E_MSG_SESSTIMEOUT));
	header('Location: ../../../../index.php');
	exit();
}
$res = false;
if ($_SESSION['User']->IsIePermission((int)$ie_id) || isset($ie_save_included))
{
	$ie = new IE($connection, $ie_id);

	function CheckValidAttachment($field_identifier, $data, $res = true)
	{
		global $ie, $id;
		$exp_data = explode(',', $data);
		if (in_array($id, $exp_data)) $res = false;
		foreach($exp_data as $cur_att)
		{
			$att = $ie->GetOneData($cur_att, $field_identifier);
			if ($att != '')
			{
				$res = CheckValidAttachment($field_identifier, $att, $res);
			}
		}
		return $res;
	}

	$texts = Array();
	$textareas = Array();
	$htmls = Array();
	$checkboxs = Array();
	$regexps = Array();
	$files = Array();
	$dates = Array();
	$selects = Array();
	$attaches = Array();
	$multifiles = Array();
	
	$fields = $ie->GetFields();
	$ERR = false;
	foreach($fields as $key => $value)
	{
		if (isset($_POST[$value['Identifier']]) || isset($_POST[$value['Identifier']."_unattach"]) || isset($_FILES[$value['Identifier']]))
		switch($value['Kind'])
		{
			case "text":
				$texts[$value['Identifier']] = parseHtml($_POST[$value['Identifier']]);
				break;
			case 'int':
			case 'float':
				$texts[$value['Identifier']] = $connection->EscapeString(str_replace(',', '.', $_POST[$value['Identifier']]));
				break;
			case "textarea":
				$textareas[$value['Identifier']] = parseHtml($_POST[$value['Identifier']]);
				break;
			case "select":
			case "multi":
				$selects[$value['Identifier']] = $_POST[$value['Identifier']];
				break;
			case "html":
				$htmls[$value['Identifier']] = $connection->EscapeString(preg_replace(array("/<script.*>.*<\/script>/is","/^<P>&nbsp;<\/P>$/i","/^<P><\/P>$/i"), "", stripslashes($_POST[$value['Identifier']])));
				break;
			case "checkbox":
				$checkboxs[$value['Identifier']] = $_POST[$value['Identifier']]>0 ? 1 : 0;
				break;
			case "regexp":
				$regexps[$value['Identifier']] = parseHtml($_POST[$value['Identifier']]);
				break;
			case "date":
				$dates[$value['Identifier']] = $_POST[$value['Identifier']]['year'].'.'.$_POST[$value['Identifier']]['month'].'.'.$_POST[$value['Identifier']]['day'];
				break;
			case "file":
				$unattchvar = $value['Identifier']."_unattach";
				if (isset($$unattchvar))
				{
					$files[$value['Identifier']] = "";
				}
				else
				{
					if (isset($_FILES[$value['Identifier']]))
					{
						$files[$value['Identifier']] = &$_FILES[$value['Identifier']];
					}
				}
				break;
			case "files":
				if (isset($_FILES[$value['Identifier']]))
				{
					$multifiles[$value['Identifier']] = &$_FILES[$value['Identifier']];
				}
				break;
			case "ie":
				$attaches[$value['Identifier']] = $_POST[$value['Identifier']];
				if ($value['Ie_Id'] == $value['Properties_I'])
				{
					$cur_attaches = explode(',', $_POST[$value['Identifier']]);
					if (isset($id))
					{
						$ERR = !CheckValidAttachment($value['Identifier'], $_POST[$value['Identifier']]);
						if ($ERR)
						{
							$_SESSION["Error"]->Add(array("level"=>E_ERROR, "message"=>'             '));
						}
					}
				}
				break;
			case "password":
				if (!isset($id) || $_POST[$value['Identifier']] != "")
				{
					if ($_POST[$value['Identifier']] == $_POST[$value['Identifier'].'_confirm'])
					{
						$texts[$value['Identifier']] = $connection->EscapeString($_POST[$value['Identifier']]);
					}
					else
					{
						$_SESSION["Error"]->Add(array("level"=>E_ERROR, "message"=>'   ""   .     .'));
					}
				}
				break;
		}
	}
	
	if (!$ERR)
	{
		if (isset($id))
		{
			$res = $ie->SaveData($id, $_SESSION['User']->GetId(), $texts, $textareas, $htmls, $checkboxs, $regexps, $files, $dates, $selects, $attaches, $multifiles);
		}
		else
		{
			$res = $id = $ie->SaveData(null, $_SESSION['User']->GetId(), $texts, $textareas, $htmls, $checkboxs, $regexps, $files, $dates, $selects, $attaches, $multifiles);
		}
	}
}
else
{
	$_SESSION["Error"]->Add(array("level"=>E_ERROR, "message"=>E_MSG_NO_PERMISIION));
}

if (!isset($ie_save_included) && isset($_REQUEST['autosave']) && $_REQUEST['autosave']>0)
{
	include_once("../../../../date.php");
	$data = $ie->GetData($id);
?>
<script type="text/javascript">
top.document.getElementById('Modified').innerHTML = '<?= ConvertDate($data['Modified']) ?>';
top.document.getElementById('Editor').innerHTML = '<?= $_SESSION['User']->GetName() ?>';
</script>
<?php
	exit();
}
if (!isset($ie_save_included))
{
	$connection->disconnect();
	
	if (isset($_REQUEST['return2edit']) && isset($id))
	{
		header('Location: ../../../../index.php?chapter=ie_edit&topic=edit&ie_id='.$ie_id.'&id='.$id.'&return2edit=1');
	}
	else
	{
		header('Location: ../../../../index.php?chapter=ie_edit&ie_id='.$ie_id);
	}
	exit();
}
?>
