<?php
require '../../../../include.admin.php';

header('Content-Type: text/xml');
echo '<?xml version="1.0" encoding="windows-1251" standalone="yes"?>';

if (isset($_GET['field_id']))
{
	$field = new Field($connection, (int)$_GET['field_id']);
	if ($field->properties['Properties'] == IE::FIELD_PROP_MULTI)
		$method = 'InsertItemsMulti';
	else
		$method = 'InsertItemsSingle';
	if (isset($_GET['ss']))
	{
		$result = $field->SearchAttached($_GET['ss']);
	}
	else
	{
		require_once(MOD_PATH."/classes/ie.php");
		$ie = new IE($connection, $field->GetIeId());
		$attached_data = $ie->GetOneData((int)$_GET['ie_data_id'], $field->properties['Identifier']);
		$result = $ie->GetAttached($field->properties['Properties_I'], $attached_data, false);
	}
?>
<response>
	<method><?= $method ?></method>
	<data>
		<identifier><?= $_GET['identifier'] ?></identifier>
<?php
	foreach($result as $key => $value)
	{
?>
		<item>
			<value><?= $key ?></value>
			<text><?= $value ?></text>
		</item>
<?php
	}
?>
	</data>
</response>
<?php
}
?>