<?php
if (!$_SESSION['User']->IsStaticsEditor()) 
{
	echo('<span class="notice">'.E_MSG_NO_PERMISIION_SHOW.'</span>');
	return;
}
?>

<script src="js/visualeditor.js" type="text/javascript"></script>
<script src="js/forms.js" type="text/javascript"></script>
<link rel="STYLESHEET" type="text/css" href="../user/visual.css" disabled id="styles">

<form action="<?= MOD_URL.'/interface/'.$chapter ?>/save.php" method="post" enctype="multipart/form-data" name="form">
<?php
//include_once(MOD_PATH."/classes/statics.php");

$statics = new Statics($connection, $st_id);

?>
<h1>
	<nobr>  : &quot;<?= $statics->GetTitle() ?>&quot;</nobr>
	/
	<nobr></nobr>
</h1>

<br>

<a href="index.php?chapter=<?= $chapter ?>">   </a>
<br />
<br />
<?php
$value = $statics->GetRecordById( $st_id );
$admin_modifier = new Admin($connection,  $value['Admin_Id']);
?>

<table>
<tr>
	<th style="padding-left:0px">:</th>
	<td valign="bottom"><?= ($admin_modifier->GetId()) ? $admin_modifier->GetName() : '<i></i>' ?></td>
</tr>
</table>

<?php
switch ( $value['Kind'] )
{
	case 'text':
		?>
		<input type="text" name="<?= $value['Identifier'] ?>" value="<?= (isset($st_id)) ? $value['Value'] : '' ?>" maxlength="255">
		<?php
		break;
	case 'html':
		?>
		<script language="JavaScript">
		edit_<?= $value['Identifier'] ?> = new VisualEditor("form", "100%", 500, "<?= $value['Identifier'] ?>", "<?= isset($st_id) ? delBr($value['Value']) : '<p></p>' ?>", "edit_<?= $value['Identifier'] ?>", "styles", "vedit", "img/skin/wysiwig/");
		</script> 
		<script language="JavaScript">edit_<?= $value['Identifier'] ?>.Show();</script>
		<?php
		break;
	case 'textarea':
		?>
		<textarea cols="50" rows="10" name="<?= $value['Identifier']?>"><?= (isset($st_id)) ? $value['Value'] : '' ?></textarea>
		<?
		break;
	case 'code':
		?>
		<textarea cols="50" rows="10" name="<?= $value['Identifier']?>"><?= (isset($st_id)) ? unParseHtml($value['Value'], true) : '' ?></textarea>
		<?
		break;
	case 'file':
		?>
			<input type="hidden" name="MAX_FILE_SIZE" value="<?= FILE_UPLOAD_MAX_SIZE ?>">
			<input type="file" name="<?= $value['Identifier'] ?>">
		<?php
	if (isset($st_id))
	{
		if ($value['Value'] != '')
		{?>
		<table>
			<tr>
				<td id="nopad" colspan="2">
				<b><label for="<?= $value['Identifier'] ?>_id">[ <i><?= $value['Value'] ?></i> ]</label></b><br>
				</td>
			</tr>
			<tr>
				<td id="nopad"><input type="checkbox" value="1" name="<?= $value['Identifier'] ?>_unattach" id="<?= $value['Identifier'] ?>_id" class="checkbox" onclick="Disable('<?= $value['Identifier'] ?>_unattach', '<?= $value['Identifier'] ?>')"></td>
				<td id="nopad" width="100%"><label for="<?= $value['Identifier'] ?>_id"></label></td>
			</tr>
		</table>
		<?php
		}
	}
	break;
}
?>

<br><br>

<input type="hidden" name="st_id" value="<?= $st_id ?>">

<script type="text/javascript">
function Validate()
{
<?php
	switch($value['Kind'])
	{
		case "html":
			?>edit_<?= $value['Identifier'] ?>.MoveDataToForm();<?php
			break;
	}
?>
	return true;
}

function Disable(check, nam)
{
	if (document.forms['form'].elements[check].checked)
	{
		document.forms['form'].elements[nam].disabled = true;
	}
	else
	{
		document.forms['form'].elements[nam].disabled = false;
	}
}
</script>


<input id="auto" onclick="return Validate()" type="submit" value="" class="button" />

</form>
