<?php
if(!defined('__FORUM_SEARCH__'))
{
	define('__FORUM_SEARCH__', true);

	class Forum_Search extends Forum_Tree
	{

		protected $rubricator	= null;
		protected $ie			= null;
		protected $fields		= array();
		protected $user_field	= null;
		
		function __construct(&$connection, $rubricator = null, $ie = null, $fields = array(), $user_field = null)
		{
			parent::__construct($connection);
			$this->Setup($rubricator, $ie, $fields, $user_field);
		}
		
		function Setup($rubricator, $ie, $fields, $user_field)
		{
			$this->rubricator = $rubricator;
			$this->ie = $ie;
			$this->fields = $fields;
			$this->user_field = $user_field;
		}
		
		function Search($searchstr, $page = 0, $page_item_count = 15)
		{
			if ($this->rubricator == null || $this->ie == null || empty($this->fields) || $this->user_field == null) return false;
			$ret = Array();
			$searchstr = $this->connection->EscapeString($searchstr);
			$match = array();
			foreach ($this->fields as $field)
			{
				$match[] = 'MATCH (`'.$field."`) AGAINST ('".$searchstr."')";
			}
			$sql = 'SELECT SQL_CALC_FOUND_ROWS Id, '.$this->user_field.', '.implode(', ', $this->fields).', ('.implode(')+(', $match).') as score, thread_id, forum_id, dt_stamp FROM ie'.$this->ie->id
					.', '.$this->table.' WHERE ('.implode(' OR ', $match).') AND Id=body_id ORDER BY score DESC LIMIT '.($page*$page_item_count).','.$page_item_count;
			$res = $this->connection->exec($sql);
			while($row = $this->connection->fetch($res))
			{
				$ret[] = $row;
			}
			return $ret;
		}
		
		function CalcFoundRows()
		{
			$res = $this->connection->exec('SELECT FOUND_ROWS()');
			return $this->connection->getField($res);
		}
	}
}
?>