<?php
include_once(MOD_PATH.'/classes/inquirer.php');

$inquirer = new Inquirer($connection, $inquirer_id);
$data = $inquirer->GetData();
$question_data = $inquirer->GetQuestion($question_id);
?>

<h1>
	<nobr> : &quot;<?= $data['Title'] ?>&quot;</nobr>
	/ 
	<nobr> : &quot;<?= $question_data['Title'] ?>&quot;</nobr>
	/
	<nobr>
<?php
	if (isset($answer_id))
	{
		$answer_data = $inquirer->GetAnswer($answer_id);
		echo ' ';
	}
	else
	{
		echo ' ';
	}
?>
	</nobr>
</h1>

<br>

<a href="index.php?chapter=<?=$chapter?>&page=<?= $page ?>">  </a>

<br><br>
<script type="text/javascript">
fields = new Array();
</script>

<form action="<?= MOD_URL.'/interface/'.$chapter ?>/saveanswer.php" method="post" name="form" onsubmit="return ValidateForm(this, fields);">
<input type="hidden" value="<?= $inquirer_id ?>" name="inquirer_id">
<input type="hidden" value="<?= $page ?>" name="page">
<input type="hidden" value="<?= $question_id ?>" name="question_id">
<?php
if (isset($answer_id))
{
	?><input type="hidden" value="<?= $answer_id ?>" name="answer_id"><?php
}
else
{
	$all_answers = $inquirer->GetAnswers($question_id);
	if (sizeof($all_answers) > 0)
	{
		echo '<ul>';
		foreach($all_answers as $value)
		{
			echo '<li>', $value['Title'];
		}
		echo '</ul>';
	}
}
?>

<table>
<tr>
	<th>:</th>
	<td width="100%"><input type="text" name="title" value="<?= (isset($answer_id)) ? $answer_data['Title'] : '' ?>" onBlur="this.value=trim(this.value)"><script type="text/javascript">fields.push(new Array("text", "title", ""))</script></td>
</tr>
<?php
if (isset($answer_id))
{
?>
<tr>
	<th> :</th>
	<td width="100%"><input type="text" name="count" value="<?= (isset($answer_id)) ? $answer_data['Count'] : '' ?>" id="small"></td>
</tr>
<?php
}
?>
<tr>
	<td colspan="2"><input class="button" type="submit" id="auto" value=""></td>
</tr>
</table>
</form>

