<?php
include_once(MOD_PATH.'/classes/inquirer.php');

$inquirer = new Inquirer($connection, $inquirer_id);
$data = $inquirer->GetData();
?>

<h1>
	<nobr> : &quot;<?= $data['Title'] ?>&quot;</nobr>
	/ 
	<nobr>
<?php
	if (isset($question_id))
	{
		$question_data = $inquirer->GetQuestion($question_id);
		echo ' ';
	}
	else
	{
		echo ' ';
	}
?>
	</nobr>
</h1>

<br>

<a href="index.php?chapter=<?=$chapter?>&page=<?= $page ?>">  </a>

<br><br>
<script type="text/javascript">
fields = new Array();
</script>

<form action="<?= MOD_URL.'/interface/'.$chapter ?>/savequestion.php" method="post" name="form" onsubmit="return ValidateForm(this, fields);">
<input type="hidden" value="<?= $inquirer_id ?>" name="inquirer_id">
<input type="hidden" value="<?= $page ?>" name="page">
<?php
if (isset($question_id))
{
	?><input type="hidden" value="<?= $question_id ?>" name="question_id"><?php
}
else
{
	$all_questions = $inquirer->GetQuestions();
	if (count($all_questions) > 0)
	{
		echo '<ul>';
		foreach ($all_questions as $value)
		{
			echo '<li><a title=" " href="?chapter=',$chapter,'&topic=editanswer&inquirer_id=',$inquirer_id,'&question_id=',$value['Question_Id'],'&page=',$page,'">', $value['Title'], '</a>';
		}
		echo '</ul>';
	}
}
?>

<table>
<tr>
	<th>:</th>
	<td width="100%"><input type="text" name="title" value="<?= (isset($question_id)) ? $question_data['Title'] : '' ?>" onBlur="this.value=trim(this.value)"><script type="text/javascript">fields.push(new Array("text", "title", ""))</script></td>
</tr>
<tr>
	<th>:</th>
	<td id="nopad">
		<table>
		<tr>
			<td id="nopad"><input type="radio" value="<?= Inquirer::QUESTION_ONE_ANSWER ?>" id="single" name="question_kind" class="checkbox"<?= (!isset($question_id) || (isset($question_data) && $question_data['Kind']==Inquirer::QUESTION_ONE_ANSWER)) ? ' checked' : '' ?>></td>
			<td id="nopad"><label for="single">  </label></td>
		</tr>
		<tr>
			<td id="nopad"><input type="radio" value="<?= Inquirer::QUESTION_MANY_ANSWER ?>" id="multiple" name="question_kind" class="checkbox"<?= (isset($question_data) && $question_data['Kind']==Inquirer::QUESTION_MANY_ANSWER) ? ' checked' : '' ?>></td>
			<td id="nopad"><label for="multiple">  </label></td>
		</tr>		
		</table>
	</td>
</tr>
<tr>
	<td colspan="2"><input class="button" type="submit" id="auto" value=""></td>
</tr>
</table>
</form>

