<?php
include("mods/aplite/classes/rub.php");
include("mods/aplite/classes/rubricator.php");
include("mods/aplite/classes/rubricators.php");
$rubricators = new Rubricators($connection);

$pg_error = false;

$rubricator = $rubricators->GetByIdentifier(PG_STRUCT_IDENTIFIER);
if (!$rubricator)
{
	$pg_error = "<span class='notice'>     &quot;".PG_STRUCT_IDENTIFIER."&quot; </span>";
	$pg_error .= '<br><br><a href="'.MOD_URL.'/interface/'.$chapter.'/createrubricator.php"></a>';
	return;
}
function rub($rub_p, $level)
{
	global $rub_id;
	foreach($rub_p->GetChildren() as $c)
	{
		?><option value="<?= $c->GetId() ?>"<?= ($c->GetId() == $rub_id) ? " SELECTED" : ""?>><?= str_repeat("&nbsp;&nbsp;&nbsp;", $level) ?><?= $c->GetTitle() ?></option><?php
		rub($c, $level+1);
	}
}

$cookievar = 'pg_rub_id';
if (!isset($rub_id))
{
	if (isset($$cookievar))
	{
		$rub_id = $$cookievar;
	}
	else
	{
		$rub_id = 0;
	}
}
setcookie($cookievar, $rub_id, time()+365*24*3600);

$toprubrics = $rubricator->GetTopRubrics();
if (sizeof($toprubrics)>0)
{
?>
<form action="" name="pgrubs">
	<select name="rub_id" onchange="document.forms['pgrubs'].submit()">
<?php
	foreach($toprubrics as $rub_p)
	{
?>
		<option value="<?= $rub_p->GetId() ?>"<?= ( $rub_id == $rub_p->GetId() ) ? " SELECTED" : ""?>><?= $rub_p->GetTitle() ?></option>
<?php
		rub($rub_p, 1);
	}
?>
	</select>
</form>
<?php
	$rub_id = (int)$rub_id;
}
else
{
	$pg_error = '<span class="notice">    </span>';
	return;
}
?>

<p><b>:</b><br>
<nobr>. : <?= PG_PHOTO_PREVIEW_WIDTH ?></nobr><br>
<nobr>. : <?= PG_PHOTO_PREVIEW_HEIGHT ?></nobr>

<p><b>:</b><br>
<nobr>. : <?= PG_PHOTO_FULL_WIDTH ?></nobr><br>
<nobr>. : <?= PG_PHOTO_FULL_HEIGHT ?></nobr>
