<?php
if(!defined("__SHOP_ORDERS__"))
{
	define("__SHOP_ORDERS__", true);

	include_once(dirname(__FILE__)."/../../../../inc/classes/storage.php");

	class Shop_Orders extends Storage
	{
		public $connection = null;
		public $lastlist_count;
		
		function Shop_Orders(&$connection)
		{
			$this->connection = $connection;
			$this->lastlist_count = 0;
		}

		function Add($user_id, $status, $ucom, $goods)
		{
			$sql = "INSERT INTO shop_orders SET"
					. " User_Id=".(int)$user_id
					. ", Dat=NOW()"
					. ", AdminStatus='".$status."'"
					. ", UserComments='".$ucom."'";
			if ($this->connection->exec($sql))
			{
				$order_id = (int)$this->connection->getInsertedId();
				foreach ($goods as $g => $v)
				{
                	if ($v["Quantity"] < 1) continue;
					$sql = "INSERT INTO shop_goods_orders SET"
                    ." Order_Id=".$order_id
                    .", Goods_Id=".(int)$g
                    .", Quantity=".(int)$v["Quantity"]
					.", Price=".(float)$v["Price"];
					if (isset($v["Rate"])) $sql .= ", Rate=".(float)$v["Rate"];
					$this->connection->exec($sql);
				}
			}
            else
				$order_id = false;
            return $order_id;
		}

		function Update($order_id, $status, $acom)
		{
			$sql = "UPDATE shop_orders SET"
					. " AdminStatus='".$status."'"
					. ", AdminComments='".$acom."'"
                    . " WHERE Id=".(int)$order_id;
			return $this->connection->exec($sql);
		}

        function Delete($order_id)
        {
        	$sql = "DELETE FROM shop_orders WHERE Id=".$order_id;
            if ($this->connection->exec($sql))
            {
            	$sql = "DELETE FROM shop_goods_orders WHERE Order_Id=".$order_id;
                $ret = $this->connection->exec($sql);
            }
            else
            	$ret = false;
            return $ret;
        }

		function GetList($page, $page_item_count, $status="", $sort_field=1, $sort_mode=1, $user_id=0)
		{
            $MAX = 3;
			$sort_field = ($sort_field>$MAX || $sort_field<1) ? 1 : (int)$sort_field;
			$cond = $status=="" ? "1" : "AdminStatus='".$status."'";
            $cond .= $user_id==0 ? "" : " AND User_Id=".(int)$user_id;
			$this->lastlist_count = $this->CountRecs("shop_orders", $cond);
			return $this->GetAllRecs(
            		"shop_orders", "Dat,AdminStatus,User_Id", "Id",
                    ($sort_field+1)." ".(($sort_mode < 2)?"DESC":"ASC"),
                    $cond,
                    ($page*$page_item_count).",".$page_item_count
                    );
		}

		function GetFiltered($filter, $page, $page_item_count)
		{
			return $this->GetAllRecs(
            		"shop_orders", "Dat,AdminStatus,User_Id", "Id",
                    "Dat DESC",
                    "1",
                    ($page*$page_item_count).",".$page_item_count
                    );
		}

		function Get($order_id)
		{
			return $this->GetRec("shop_orders", "*", "Id=".$order_id);
		}

        function GetGoods($order_id, $sort_field=1, $sort_mode=1)
        {
            return $this->GetAllRecs(
                    "shop_goods_orders", "Quantity,Price,Rate", "Goods_Id",
                    ($sort_field+1)." ".(($sort_mode < 2)?"DESC":"ASC"),
					"Order_Id=".(int)$order_id
                    );
        }

		function Count($status="", $user_id=0)
		{
			$cond = 1;
			$cond.= $status=="" ? "" : " AND AdminStatus='".$status."'";
			$cond.= $user_id==0 ? "" : " AND User_Id=".(int)$user_id ;
			return $this->CountRecs("shop_orders", $cond);
		}
	}
}
?>