<?php
if(!defined("__SHOP_SEARCH__"))
{
	define("__SHOP_SEARCH__", true);

	include_once(dirname(__FILE__)."/goods.php");
	include_once(dirname(__FILE__)."/../../../../inc/classes/storage.php");

	class Shop_Search extends Storage
	{
		public $connection = null;

		function Shop_Search(&$connection)
		{
			$this->connection = $connection;
		}
		
		function Get($ss, $firm_id = -1, $pricefrom = 0, $priceto = 10000000000, $params = null)
		{
			$ret = array();
			$find_ids = array();
			$sql = "SELECT Id,Catalog_Id,Identifier,Title,Price,Hidden,
			( MATCH(`Identifier`) AGAINST ('".$ss."') ) +
			( MATCH(`Title`) AGAINST ('".$ss."') ) + 
			( MATCH(`Description`) AGAINST ('".$ss."') ) 
			AS Score FROM shop_goods WHERE
			(( MATCH(`Identifier`) AGAINST ('".$ss."') ) OR
			( MATCH(`Title`) AGAINST ('".$ss."') ) OR
			( MATCH(`Description`) AGAINST ('".$ss."') ))";
			if ($firm_id > 0)
			{
				$sql .= " AND Firm_Id=".$firm_id;
			}
			$sql .= " AND Price>=".(int)$pricefrom." AND Price<=".(int)$priceto;
			$res = $this->connection->exec($sql);
			while($row = $this->connection->fetch($res))			
			{
				$ret[] = Array
				(
					'type' => 'mainfields',
					'score' => $row['Score']*10,
					'Id' => $row['Id'],
					'Identifier' => $row['Identifier'],
					'Title' => $row['Title'],
					'Catalog_Id' => $row['Catalog_Id'],
					'Price' => $row['Price'],
					'Hidden' => $row['Hidden'],
					
				);
				array_push($find_ids, $row['Id']);
			}
			$sql = "SELECT Goods_Id,
			MATCH(`DataVarchar`) AGAINST ('".$ss."') 
			AS Score FROM shop_data WHERE
			MATCH(`DataVarchar`) AGAINST ('".$ss."')";
			$res = $this->connection->exec($sql);
			$gds = new Shop_Goods($this->connection);
			while($row = $this->connection->fetch($res))
			{
				$goods = $gds->Get($row['Goods_Id']);
				if ($firm_id > 0)
				{
					if ($goods['Firm_Id'] != $firm_id) continue;
				}
				if ($goods['Price']<$pricefrom ||  $goods['Price']>$priceto) continue;
				$ret[] = Array
				(
					'type' => 'addfields',
					'score' => $row['Score'],
					'Id' => $row['Goods_Id'],
					'Identifier' => $goods['Identifier'],
					'Title' => $goods['Title'],
					'Catalog_Id' => $goods['Catalog_Id'],
					'Price' => $goods['Price'],
					'Hidden' => $goods['Hidden'],
				);
				array_push($find_ids, $row['Goods_Id']);
			}			
			function cmpscore($a, $b)
			{
			    if ($a['score'] == $b['score']) return 0;
			    return ($a['score'] > $b['score']) ? -1 : 1;
			}
			
			
			if ($params!=null && sizeof($find_ids)>0)
			{
				$valid_ids = array();
				foreach ($find_ids as $goods_id)
				{
					$sql = "SELECT COUNT(*) From shop_data WHERE Goods_Id=$goods_id AND (";
					$prefix = "";
					foreach($params as $key => $value)
					{
						$sql .= " $prefix (Field_Id=$key AND DataFloat>=".(int)$value[0]." AND DataFloat<=".(int)$value[1].")";
						$prefix = "OR";
					}
					$sql .= ")";
					$res = $this->connection->exec($sql);
					$row = $this->connection->fetch($res);
					if ($row[0] == sizeof($params)) array_push($valid_ids, $goods_id);
				}
				
				$newret = array();
				for($i=0; $i<sizeof($ret); $i++)
				{
					if (in_array($ret[$i]['Id'], $valid_ids))
					{
				 	 	$newret[$i] = $ret[$i];
					}
				}				
			}
			else
			{
				$newret = $ret;
			}
			
			usort($newret, "cmpscore");			
			return $newret;			
		}
	}
}
?>