<?php
include(MOD_PATH."/classes/catalog.php");
include(MOD_PATH."/classes/goods.php");
include(MOD_PATH."/classes/fields.php");

include("mods/aplite/classes/rubricators.php");
include("mods/aplite/classes/rubricator.php");
include("mods/aplite/classes/rub.php");
include("mods/aplite/classes/ies.php");
include("mods/aplite/classes/ie.php");
?>

<script src="js/visualeditor.js" type="text/javascript"></script>
<script src="js/forms.js" type="text/javascript"></script>
<link rel="STYLESHEET" type="text/css" href="../user/visual.css" disabled id="styles">

<?php
if (!isset($sort_field)) $sort_field = 1;
if (!isset($sort_mode)) $sort_mode = 0;

$cat = new Shop_Catalog($connection);
$path_rub = $cat->GetPathRubrics($catalog_id);

if (isset($id))
{
	$gds = new Shop_Goods($connection);
	$goods = $gds->Get($id);
}
?>

<h1>
	<nobr> </nobr>
	<?php
	foreach($path_rub as $value)
	{
		echo(" / <nobr>".$value["Title"]."</nobr>");
	}
	?>
	/
	<nobr>
	<?= (isset($id)) ? " : &quot;".$goods['Title']."&quot;" : " " ?>
	<nobr>
</h1>

<br>

<a href="index.php?chapter=<?= $chapter ?>&catalog_id=<?= $catalog_id ?>"></a>

<br>


<form action="<?= MOD_URL.'/interface/'.$chapter ?>/save.php" method="post" enctype="multipart/form-data" onsubmit="return ValidateForm(this, fields);" name="form">
<table>
<tr>
	<th valign="top">&nbsp;:</th>
	<td width="100%">
		<input type="text" name="identifier" id="normal" value="<?= (isset($id)) ? $goods['Identifier'] : "" ?>">
		<script type="text/javascript">
			fields = new Array();
			fields.push(new Array("text", "identifier", ""));
		</script>
	</td>
</tr>
<tr>
	<th valign="top">:</th>
	<td>
		<input type="text" name="title" value="<?= (isset($id)) ? $goods['Title'] : "" ?>"></td>
		<script type="text/javascript">
			fields.push(new Array("text", "title", ""));
		</script>
	</td>
</tr>
<tr>
	<th valign="top">:</th>
	<td><input type="text" name="price" id="normal" value="<?= (isset($id)) ? $goods['Price'] : "0.00" ?>"></td>
</tr>
<tr>
	<th valign="top">:</th>
	<td>
		<script language="JavaScript">
		edit_goods_description = new VisualEditor("form", "100%", 200, "description", "<?= (isset($id)) ? delBr($goods['Description']) : '<p></p>' ?>", "edit_goods_description", "styles", "vedit", "img/skin/wysiwig/");
		edit_goods_description.Show();
		</script> 
	</td>
</tr>

<!--
<tr>
	<th valign="top">:</th>
	<td>
		<select name="goodsstatus">
		<?php
		for($i=0; $i<sizeof($goods_status); $i++)
		{
			?><option value="<?= $i ?>"<?= (isset($goods) && $i==$goods['GoodsStatus']) ? "selected" : "" ?>><?= $goods_status[$i] ?><?php
		}
		?>
		</select>		
	</td>
</tr>
-->

<tr>
	<th valign="top">:</th>
	<td>
<?php
$ies = new IEs($connection);
$ie_info = $ies->GetByIdentifier(FIRM_IDENTIFIER);
if ($ie_info)
{
	$ie = new IE($connection, $ie_info['Ie_Id']);
	if (in_array(FIRM_FIELD_IDENTIFIER, $ie->GetFieldsIdentifiers()))
	{
		$firms = $ie->GetAllData(0, 10000000, 2, FIRM_FIELD_IDENTIFIER, false);
?>
		<select name="firm_id">
			<option>
		<?php
		foreach($firms as $key => $value)
		{
			?><option value="<?= $key ?>"<?= (isset($goods) && $key==$goods['Firm_Id']) ? "selected" : "" ?>><?= $value[FIRM_FIELD_IDENTIFIER] ?><?php
		}
		?>			
		</select>
<?php
	}
	else echo('<span class="notice">   &quot;'.FIRM_FIELD_IDENTIFIER.'&quot;      &quot;'.FIRM_IDENTIFIER.'&quot;</span>');  
}
else echo('<span class="notice">     &quot;'.FIRM_IDENTIFIER.'&quot;</span>');
?>
	</td>
</tr>

<!--
<tr>
	<th valign="top"> :</th>
	<td>
<?php
$rubricators = new Rubricators($connection);
$rubricator = $rubricators->GetByIdentifier(ADD_CATALOG_IDENTIFIER);
if ($rubricator)
{
	$rubs = $rubricator->GetTopRubrics();
?>
		<select name="addcatalog_id">
			<option> 
		<?php
		foreach($rubs as $value)
		{
			?><option value="<?= $value->GetId() ?>"<?= (isset($goods) && $value->GetId()==$goods['AddCatalog_Id']) ? "selected" : "" ?>><?= $value->GetTitle() ?><?php
		}
		?>			
		</select>
<?php
}
else echo('<span class="notice">    : '.ADD_CATALOG_IDENTIFIER.'</span>');
?>
	</td>	
</tr>
-->

<tr>
	<th nowrap> :</th>
	<td><input name="hidden" type="checkbox" value="1" class="checkbox" id="auto"<?= (isset($id) && $goods['Hidden']==1) ? " checked" : "" ?>></td>
</tr>
<tr>
	<th valign="top"> :</th>
	<td>
		<?php 
			if (isset($id) && $goods['PreviewFilename'] != "")
			{
				$filename = SHOP_FILE_PREVIEW_SHOW_DIR_PREFIX.SHOP_FILE_PREVIEW_SHOW_DIR.$id."_".$goods['PreviewFilename'];
				$size = getimagesize($filename);
				 ?>
				 	<img src="<?= $filename ?>" width="<?= $size[0] ?>" height="<?= $size[1] ?>" alt="" border="0">
					<br>
					<input type="checkbox" value="1" class="checkbox" id="auto" name="delpreview"> 
					<br>
				 <?php
			}
		?>
		<input type="file" name="previewfilename" id="auto">
	</td>
</tr>
<?php
$flds =  new Shop_Fields($connection);
$addfields = false;
foreach($path_rub as $key => $value)
{
	$fields = $flds->GetFields($key); 
	foreach($fields as $keyf => $value) $addfields = true;
}
?>
<tr>
	<td colspan="2"><input id="auto" onclick="edit_goods_description.MoveDataToForm();" type="submit" class="button" value=""></td>
</tr>
</table>

<?php
if ($addfields)
{
?>
	<hr>
	<table>
	<?php
	foreach($path_rub as $key => $value)
	{
		$fields = $flds->GetFields($key); 
		foreach($fields as $keyf => $valuef)
		{
	?>
		<tr>
			<th valign="top"><?= $valuef['Title'] ?></th>
			<td width="100%">
			<?php
			switch($valuef['Kind'])
			{
				case "check":
					?>
						<input type="hidden" name="additional_fields[<?= $keyf ?>]" value="0">
						<input type="checkbox" name="additional_fields[<?= $keyf ?>]" value="1" class="checkbox" id="auto"<?= (isset($id) && $gds->GetData($keyf, $id) == 1) ? " checked" : "" ?>>
					<?php
					break;
				case "text":
					?><input type="text" name="additional_fields[<?= $keyf ?>]" value="<?= (isset($id)) ? $gds->GetData($keyf, $id) : "" ?>"><?php
					break;
				case "number":
					?><input type="text" id="normal" name="additional_fields[<?= $keyf ?>]" value="<?= (isset($id)) ? $gds->GetData($keyf, $id) : "" ?>"><?php
					break;
				case "select":
					?>
					<select name="additional_fields[<?= $keyf ?>]">
					<?php
					$sel_exp = explode(",", $valuef["Attr"]);
					$cur_sel_value = (isset($id)) ? $gds->GetData($keyf, $id) : "";
					if ($valuef["Attr"] != "") foreach($sel_exp as $valueo)
					{
						?><option value="<?= $valueo ?>" <?=  ($cur_sel_value==$valueo) ? " selected" : "" ?>><?= $valueo ?><?
					}
					?>
					</select>
					<?php
					break;				
			}
	?>		</td>
		</tr>
	<?php
		}
	}
	?>
	<tr>
		<td colspan="2"><input id="auto" onclick="edit_goods_description.MoveDataToForm();" type="submit" class="button" value=""></td>
	</tr>
	</table>

<?php
}
if (isset($id))
{
	?><input name="id" type="hidden" value="<?= $id ?>"><?php
}
?>
<input name="page" type="hidden" value="<?= $page ?>">
<input name="catalog_id" type="hidden" value="<?= $catalog_id ?>">
<input name="sort_field" type="hidden" value="<?= $sort_field ?>">
<input name="sort_mode" type="hidden" value="<?= $sort_mode ?>">

<input type="hidden" name="goodsstatus" value="1">
<input type="hidden" name="addcatalog_id" value="1">

<hr>

<h2></h2>

<table>
<tr>
	<th valign="top">:</th>
	<td width="100%"><input type="text" name="imagetitle"></td>
</tr>
<tr>
	<th valign="top">:</th>
	<td><input type="file" name="filename" id="auto"></td>
</tr>
<tr>
	<td colspan="2"><input id="auto" onclick="edit_goods_description.MoveDataToForm();" type="submit" class="button" value=" " name="addimage"></td>
</tr>
</table>

<?php
if (isset($id))
{
	$images = $gds->GetImages($id);
	if (sizeof($images) > 0)
	{
	?>
	
	<hr>
	
	<table cellspacing="1" class="table">
	<tr>
		<th></th>
		<th></th>
		<th colspan="2">&nbsp;</th>
	</tr>
		<?php
		foreach($images as $key => $value)
		{
			?>
			<tr>
				<td>
				<?php
					$filename = SHOP_FILE_SHOW_DIR_PREFIX.SHOP_FILE_SHOW_DIR.$key."_".$value['Filename'];
					$size = getimagesize($filename);
			 	?>
					<img src="<?= $filename ?>" width="<?= $size[0] ?>" height="<?= $size[1] ?>" alt="" border="0">
				</td>
				<td><?= $value['Title'] ?></td>			
				<!--   
				<td><a href="index.php?chapter=<?= $chapter ?>&topic=editimage&image_id=<?= $key ?>&catalog_id=<?= $catalog_id ?>&id=<?= $key ?>&page=<?= $page ?>&sort_field=<?= $sort_field ?>&sort_mode=<?= $sort_mode ?>"><img src="img/skin/edit.gif" width="24" height="16" alt="" border="0"></a></td>
				-->
				<td><a href="javascript:Sure('<?= $id ?>', '<?= $value['Title'] ?>', '&image_id=<?= $key ?>&catalog_id=<?= $catalog_id ?>&sort_field=<?= $sort_field ?>&sort_mode=<?= $sort_mode ?>')"><img src="img/skin/delete.gif" width="13" height="16" alt="" border="0"></a></td>
			</tr>
			<?php
		}
		?>
	</table>	
	<?
	}
}
?>

</form>
