<?php
include(MOD_PATH."/classes/catalog.php");
include(MOD_PATH."/classes/goods.php");

if (!isset($sort_field)) $sort_field = 1;
if (!isset($sort_mode)) $sort_mode = 0;

$cat = new Shop_Catalog($connection);
$rub = $cat->GetRubric($catalog_id);

$gds = new Shop_Goods($connection);
$goods = $gds->GetMany($catalog_id, $page, PAGE_GOODS, $sort_field, $sort_mode);
$count = $gds->GetCount($catalog_id);
?>

<h1>
	<nobr> </nobr>
	/
	<nobr>
<?php	
	echo(" : &quot;".$rub['Title']."&quot;");
?>
	</nobr>
</h1>

<br>

<a href="index.php?chapter=<?= $chapter ?>&topic=edit&catalog_id=<?= $catalog_id ?>">   </a>

<br><br>

<table cellspacing="1" class="table">
<tr>
	<th>
		<?php
		$new_sort_mode = ($sort_field == 1) ? (($sort_mode==1) ? 0 : 1) : 0 ;
		?>
		<a href="index.php?chapter=<?= $chapter ?>&catalog_id=<?= $catalog_id ?>&page=<?= $page ?>&sort_field=1&sort_mode=<?= $new_sort_mode  ?>">
			 
		</a>
		<?php
		if ($sort_field==1)
		{
			?><img src="img/skin/sortmode_<?= ($new_sort_mode==0) ? "asc" : "desc" ?>.gif" width="9" height="11" alt="" border="0"><?php
		}
		?>
	</th>
	<th>
		<?php
		$new_sort_mode = ($sort_field == 2) ? (($sort_mode==1) ? 0 : 1) : 0 ;
		?>	
		<a href="index.php?chapter=<?= $chapter ?>&catalog_id=<?= $catalog_id ?>&page=<?= $page ?>&sort_field=2&sort_mode=<?= $new_sort_mode  ?>">
			
		</a>
		<?php
		if ($sort_field==2)
		{
			?><img src="img/skin/sortmode_<?= ($new_sort_mode==0) ? "asc" : "desc" ?>.gif" width="9" height="11" alt="" border="0"><?php
		}
		?>		
	</th>
	<th>
		<?php
		$new_sort_mode = ($sort_field == 3) ? (($sort_mode==1) ? 0 : 1) : 0 ;
		?>	
		<a href="index.php?chapter=<?= $chapter ?>&catalog_id=<?= $catalog_id ?>&page=<?= $page ?>&sort_field=3&sort_mode=<?= $new_sort_mode  ?>">
			
		</a>
		<?php
		if ($sort_field==3)
		{
			?><img src="img/skin/sortmode_<?= ($new_sort_mode==0) ? "asc" : "desc" ?>.gif" width="9" height="11" alt="" border="0"><?php
		}
		?>		
	</th>
	<th colspan="4">&nbsp;</th>
</tr>
<?php
foreach($goods as $key => $value)
{
?>
<tr>
	<td<?= ($value['Hidden']) ? ' class="hidden"' : '' ?>><?= $value['Identifier'] ?></td>
	<td<?= ($value['Hidden']) ? ' class="hidden"' : '' ?>><?= $value['Title'] ?></td>
	<td<?= ($value['Hidden']) ? ' class="hidden"' : '' ?>><?= $value['Price'] ?></td>
	<td><a href="index.php?chapter=<?= $chapter ?>&topic=edit&catalog_id=<?= $catalog_id ?>&id=<?= $key ?>&page=<?= $page ?>&sort_field=<?= $sort_field ?>&sort_mode=<?= $sort_mode ?>"><img src="img/skin/edit.gif" width="24" height="16" alt="" border="0"></a></td>
	<td><a href="index.php?chapter=promo&topic=edit&goods_id=<?= $key ?>"><img src="img/skin/promo.gif" width="17" height="16" alt=" " border="0"></a></td>	
	<td><a href="<?= MOD_URL.'/interface/'.$chapter ?>/clone.php?catalog_id=<?= $catalog_id ?>&id=<?= $key ?>&page=<?= $page ?>&sort_field=<?= $sort_field ?>&sort_mode=<?= $sort_mode ?>"><img src="img/skin/plus.gif" width="13" height="16" alt="" border="0"></a></td>		
	<td><a href="javascript:Sure('<?= $key ?>', '<?= $value['Title'] ?>', '&catalog_id=<?= $catalog_id ?>&sort_field=<?= $sort_field ?>&sort_mode=<?= $sort_mode ?>')"><img src="img/skin/delete.gif" width="13" height="16" alt="" border="0"></a></td>
</tr>
<?php
}
?>
</table>

<?php
if ($count > PAGE_GOODS)
{
?>
<hr>
:
<?php
	for ($i=0, $pages=$count/PAGE_GOODS; $i<$pages; $i++)
	{
		if ($page == $i)
		{
			echo(($i+1)." ");
		}
		else
		{
			?><a href="index.php?chapter=<?= $chapter ?>&catalog_id=<?= $catalog_id ?>&page=<?= $i ?>&sort_field=<?= $sort_field ?>&sort_mode=<?= $sort_mode ?>"><?= $i+1 ?></a> <?php
		}
	}
}
?>


<hr>

<table class="help" cellspacing="1">
<tr>
	<th colspan="2"></th>
</tr>
<tr>
	<td align="right"><img src="img/skin/edit.gif" width="24" height="16" alt="" border="0"></td>
	<td> </td>
</tr>
<tr>
	<td align="right"><img src="img/skin/promo.gif" width="17" height="16" alt=" " border="0"></td>
	<td> </td>
</tr>
<tr>
	<td align="right"><img src="img/skin/plus.gif" width="13" height="16" alt="" border="0"></td>
	<td> </td>
</tr>
<tr>
	<td align="right"><img src="img/skin/delete.gif" width="13" height="16" alt="" border="0"></td>
	<td> </td>
</tr>
</table>