<?php
require_once("../../../../include.admin.php");
include_once(MOD_PATH."/classes/goods.php");

$gds = new Shop_Goods($connection);

function parse_add(&$value)
{
	$value = parseHtml($value);
}
if (isset($additional_fields)) array_walk($additional_fields, "parse_add");

if (isset($id))
{
	$gds->Update($id, parseHtml($identifier), parseHtml($title), (float)$price, ((get_magic_quotes_gpc()) ? $description : addslashes($description)), (isset($hidden)) ? 1 : 0 , (isset($firm_id)) ? (int)$firm_id : 0, (int)$goodsstatus, (isset($addcatalog_id)) ? (int)$addcatalog_id : 0);
	if (isset($additional_fields)) $gds->UpdateData($id, $additional_fields);
}
else
{
	$id = $gds->Add($catalog_id, parseHtml($identifier), parseHtml($title), (float)$price, ((get_magic_quotes_gpc()) ? $description : addslashes($description)), (isset($hidden)) ? 1 : 0 , (isset($firm_id)) ? (int)$firm_id : 0, (int)$goodsstatus, (isset($addcatalog_id)) ? (int)$addcatalog_id : 0);
	if (isset($additional_fields)) $gds->AddData($id, $additional_fields);
}

if (isset($delpreview))
{
	$gds->DeletePreview($id);
}
if (isset($previewfilename) && is_uploaded_file($previewfilename)) 
{
	if (move_uploaded_file($previewfilename, SHOP_FILE_PREVIEW_UPLOAD_DIR.SHOP_FILE_UPLOAD_TMP_PREFIX.$previewfilename_name)) 
	{
		$gds->AddUpdatePreview($previewfilename_name, $id);
	}
}

if (isset($addimage) && isset($filename) && is_uploaded_file($filename)) 
{
	if (move_uploaded_file($filename, SHOP_FILE_UPLOAD_DIR.SHOP_FILE_UPLOAD_TMP_PREFIX.$filename_name)) 
	{
		$gds->AddImage($filename_name, $id, parseHtml($imagetitle));
	}
}


$connection->disconnect();

if (isset($addimage))
{
	header("Location: ../../../../index.php?chapter=goods&topic=edit&catalog_id=".$catalog_id."&id=".$id."&page=".$page."&sort_field=".$sort_field."&sort_mode=".$sort_mode);
}
else
{
	header("Location: ../../../../index.php?chapter=goods&catalog_id=".$catalog_id."&page=".$page."&sort_field=".$sort_field."&sort_mode=".$sort_mode);
}
?>
