<?php
include_once(MOD_PATH."/classes/orders.php");
include_once(MOD_PATH."/classes/users.php");
include_once(MOD_PATH."/classes/goods.php");
$orders = new Shop_Orders($connection);
$users = new Shop_Users($connection);
$goodsObj = new Shop_Goods($connection);
$order_data = $orders->Get($id);
$user = $users->Get($order_data["User_Id"], "FirstName,LastName");

$query_string = $_SERVER["QUERY_STRING"];
if (!isset($sort_mode))
{
	$query_string .= "&sort_mode=1";
	$sort_mode = 1;
}
if (!isset($sort_field))
{
	$query_string .= "&sort_field=1";
	$sort_field = 1;
}
?>

<h1>
	<nobr> : </nobr>
	/
	<nobr> </nobr>
	</h1>
<br>
<a href="index.php?chapter=<?= $chapter ?>&page=<?=$page?>&status=<?=$status?>&sort_mode=<?=$index_sort_mode?>&sort_field=<?=$index_sort_field?><?=isset($index_user_id)?"&user_id=".$index_user_id:""?>"></a>

<hr>

<table>
<tr>
	<th valign="bottom"> </th>
	<td valign="bottom"><?=preg_replace("/(\d{4})-(\d{2})-(\d{2}) (\d{2}):(\d{2}):(\d{2})/", "\\3.\\2.\\1 \\4:\\5", $order_data["Dat"])?></td>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<th valign="bottom"></th>
	<td valign="bottom"><?=$user["FirstName"]?> <?=$user["LastName"]?></td>
</tr>
</table>

<hr>
<?php
$goods = $orders->GetGoods($id);
//         
$goods_data = array();
foreach ($goods as $goods_id => $quantity)
{
	$d = $goodsObj->Get($goods_id);
	$goods_data[] = array(
		$goods_id,
		$d["Identifier"],
		$d["Title"],
		$d["Price"],
		$quantity,
		(float)$d["Price"]*$quantity
	);
}
$sortc=$sort_field;
$sortd = ($sort_mode < 2)?-1:1;
uasort($goods_data, "cmp");
$sum = 0;
?>
<table cellspacing="1" class="table">
<tr>
	<th><?php
	$f_num = 1;
	$new_sort_mode = ($sort_field == $f_num) ? (($sort_mode < 2)?2:1) : 1;
	$new_query_string = str_replace(array("sort_mode=".$sort_mode, "sort_field=".$sort_field), array("sort_mode=".$new_sort_mode, "sort_field=".$f_num), $query_string);
		?><a href="index.php?<?= $new_query_string ?>"> </a><?= ($sort_field == $f_num)? '<img src="img/skin/sortmode_'.(($sort_mode < 2)?"desc":"asc").'.gif" width="9" height="11" alt="" border="0">' : "" ?></th>
	<th><?php
	$f_num = 2;
	$new_sort_mode = ($sort_field == $f_num) ? (($sort_mode < 2)?2:1) : 1;
	$new_query_string = str_replace(array("sort_mode=".$sort_mode, "sort_field=".$sort_field), array("sort_mode=".$new_sort_mode, "sort_field=".$f_num), $query_string);
		?><a href="index.php?<?= $new_query_string ?>"></a><?= ($sort_field == $f_num)? '<img src="img/skin/sortmode_'.(($sort_mode < 2)?"desc":"asc").'.gif" width="9" height="11" alt="" border="0">' : "" ?></th>
	<th><?php
	$f_num = 3;
	$new_sort_mode = ($sort_field == $f_num) ? (($sort_mode < 2)?2:1) : 1;
	$new_query_string = str_replace(array("sort_mode=".$sort_mode, "sort_field=".$sort_field), array("sort_mode=".$new_sort_mode, "sort_field=".$f_num), $query_string);
		?><a href="index.php?<?= $new_query_string ?>"></a><?= ($sort_field == $f_num)? '<img src="img/skin/sortmode_'.(($sort_mode < 2)?"desc":"asc").'.gif" width="9" height="11" alt="" border="0">' : "" ?></th>
	<th><?php
	$f_num = 4;
	$new_sort_mode = ($sort_field == $f_num) ? (($sort_mode < 2)?2:1) : 1;
	$new_query_string = str_replace(array("sort_mode=".$sort_mode, "sort_field=".$sort_field), array("sort_mode=".$new_sort_mode, "sort_field=".$f_num), $query_string);
		?><a href="index.php?<?= $new_query_string ?>"></a><?= ($sort_field == $f_num)? '<img src="img/skin/sortmode_'.(($sort_mode < 2)?"desc":"asc").'.gif" width="9" height="11" alt="" border="0">' : "" ?></th>
	<th><?php
	$f_num = 5;
	$new_sort_mode = ($sort_field == $f_num) ? (($sort_mode < 2)?2:1) : 1;
	$new_query_string = str_replace(array("sort_mode=".$sort_mode, "sort_field=".$sort_field), array("sort_mode=".$new_sort_mode, "sort_field=".$f_num), $query_string);
		?><a href="index.php?<?= $new_query_string ?>"></a><?= ($sort_field == $f_num)? '<img src="img/skin/sortmode_'.(($sort_mode < 2)?"desc":"asc").'.gif" width="9" height="11" alt="" border="0">' : "" ?></th>
	<th colspan="2">&nbsp;</th>
</tr>
<?php
foreach ($goods_data as $data)
{
?>
<tr>
	<td><?=$data[1]?></td>
	<td><?=$data[2]?></td>
	<td align="right"><?=number_format($data[3], 2, ",", ".")?></td>
	<td><?=$data[4]?></td>
	<td align="right"><?=number_format($data[5], 2, ",", ".")?></td>
<?php
	$sum += $data[5];
?>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
</tr>
<?php
}
?>
<tr>
	<th colspan="4" style="text-align : right;">:</th>
	<th style="text-align : right;"><?=number_format($sum, 2, ",", ".")?></th>
	<th colspan="2">&nbsp;</th>
</tr>
</table>