<?php
$permit = false;
require_once('mods/aplite/classes/rubricators.php');
$rubricators = new Rubricators($connection);
foreach($rubricators->GetAll() as $value)
{
	if ($_SESSION['User']->IsRestructPermission($value['Group_Id'])) $permit = true;
}
if (!$permit) {
	echo('<span class="notice">'.E_MSG_NO_PERMISIION_SHOW.'</span>');
	return;
}
require_once(MOD_PATH.'/classes/reports.php');
$reports = new Stats_Reports($connection);
?>
<h1>
	<nobr>  </nobr>
</h1>
<br>
<?php
$months = array
(
	"01" => "",
	"02" => "",
	"03" => "",
	"04" => "",
	"05" => "",
	"06" => "",
	"07" => "",
	"08" => "",
	"09" => "",
	"10" => "",
	"11" => "",
	"12" => ""
);
$month = date("m"); $year = date("Y");

if (isset($_GET['month']) && isset($_GET['year']) && checkdate($_GET['month'], 1, $_GET['year']))
{
	$month = $_GET['month']; $year = $_GET['year'];
}
$total_hosts = $reports->CountHosts();
$total_days = $reports->CountDays();
?>
<table class="table" width="100%">
<tr>
	<td><b>  IP- ()    :</b></td>
	<td><?=$total_hosts?></td>
</tr>
<tr>
	<td><b>    :</b></td>
	<td><?=$total_days>0?round($total_hosts/$total_days):0?></td>
</tr>
</table>
<hr>
<form name="month_report">
<input type="hidden" name="chapter" value="<?=$_GET['chapter']?>">
<h2>  ()  IP- ()  </h2>
<table class="table">
<tr>
	<th colspan="3" width="50%"> </th>
	<th colspan="3" width="50%"> </th>
</tr>
<tr>
<?php
$max_days = 0;
$mons = 2; // 2 
for ($i=1-$mons; $i<1; $i++)
{
	$current = mktime(0,0,0, $month+$i, 1, $year);
	$y = date("y", $current); $m = date("m", $current);
	$days[$y.$m] = cal_days_in_month(CAL_GREGORIAN, $m, $y);
	$max_days = max($max_days, $days[$y.$m]);
	if ($i<0)
	{
?>
	<td><?=$months[$m]?> 20<?=$y?></td>
	<td></td>
	<td></td>
<?php
	}
	else
	{
?>
	<td>
	<select name="month">
<?php
	foreach ($months as $mon_dig => $mon_nam)
	{
?>
	<option value="<?=$mon_dig?>"<?=$mon_dig==$month?' selected':''?>><?=$mon_nam?>
<?php
	}
?>
	</select>
	<select name="year">
<?php
	for($j=2004, $j_cur=date("Y"); $j<=$j_cur; $j++)
	{
?>
	<option><?=$j?>
<?php
	}
?>
	</select>
	<input id="auto" type="submit" class="button" value="OK">
	</td>
	<td></td>
	<td></td>
<?php
	}
}
?>
</tr>
<?php
for ($j=1, $max = $max_days+1; $j<$max; $j++)
{
?>
<tr align="right">
<?php
	foreach ($days as $date => $m_days)
	{
		if ($j>$m_days)
		{
?>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
<?php
		}
		else
		{
			$date = $date.sprintf("%02d", $j);
?>
	<td><?=sprintf("%02d", $j)?></td>
	<td><?=$reports->CountVisitersByDate($date)?></td>
	<td><?=$reports->CountVisitsByDate($date)?></td>
<?php
		}
	}
?>
</tr>
<?php
}
?>
</table>
</form>
