<?php
ob_start();

require 'include.admin.php';

if (!isset($_SESSION['User']) && isset($_POST['login']) && isset($_POST['pass']))
{
	// login attempt
	$_SESSION['User'] = new Admin($connection, null);
	$_SESSION['User']->Login($_POST['login'], $_POST['pass']);
	if (!$_SESSION['User']->GetId())
	{
		unregsession('User');
		$_SESSION['Error']->Add(array('level'=>E_ERROR, 'message'=>E_MSG_LOGIN_INVALID));
	}
}

?>
<html>
<head>
	<meta http-equiv="Content-type" content="text/html; charset=windows-1251">
	<title>[<?= CLIENT_NAME ?>]<?= isset($_SESSION['User']) && $_SESSION['User']->GetId() ? ' - ('.($_SESSION['User']->GetName()).')':'' ?> - Active Portal Lite</title>
	<link rel="stylesheet" type="text/css" href="admin.css">
<?php
if (isset($_SESSION['User']) && $_SESSION['User']->GetId())
{
?>
	<link rel="STYLESHEET" type="text/css" href="visualeditor.css" disabled id="vedit">
	<script src="js/validate.js" type="text/javascript"></script>
	<script type="text/javascript">
		function Sure(id, text, additional)
		{
			if (confirm(" ,    '" + text + "'?"))
			{
				document.location = "<?= MOD_URL.'/interface/'.$chapter ?>/delete.php?page=<?= $page ?>&id=" + id + additional;
			}
		}
		function TweakValue()
		{
			if (TweakValue.arguments.length == 0) return;
			if (typeof(TweakValue.arguments[0]) == "object") var el = TweakValue.arguments[0];
			else return;
			el.value = trim(el.value);
			if (TweakValue.arguments.length == 1) return;
			if (typeof(TweakValue.arguments[1]) == "number")
			{
				var myfilter = TweakValue.arguments[1];
				switch (myfilter)
				{
					case <?= TOUPPER ?>:
						el.value =el.value.toUpperCase();
					break;
					case <?= TOLOWER ?>:
						el.value = el.value.toLowerCase();
					break;
				}
			}
		}
		function FillValue(el, val)
		{
			el.value = trim(el.value);
			if (el.value == "") { el.value = val; el.select(); }
		}
		function ChangeEnable(forma, field, state)
		{
			forma.elements[field].disabled = state;
			return true;
		}
	</script>
<?php
}
?>
</head>

<body>

<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td id="nopad" width="50%" background="img/bg1.gif" valign="bottom"><div class="version"><?php
	if (isset($_SESSION['User']) && $_SESSION['User']->GetId())
	{
	?><a href="index.php?mod=aplite&chapter=about">v. <?= APLITE_VERSION ?></a><?php
	}
	else
	{
		echo 'v. ', APLITE_VERSION;
	}
	?></div><img src="img/frag3.gif" width="158" height="6" alt="" border="0"></td>
	<td id="nopad" valign="bottom" width="15"><img src="img/frag1.gif" width="15" height="7" alt="" border="0"></td>
	<td id="nopad" width="5"><img src="img/frag2.gif" width="5" height="18" alt="" border="0"></td>
	<td id="nopad" width="50%" background="img/bg2.gif" align="center" class="interface">
<?php
if (isset($_SESSION['User']) && $_SESSION['User']->GetId())
{
	echo '&nbsp;&nbsp;: ', $_SESSION['User']->GetName();
}
else
{
	echo '&nbsp;&nbsp;&nbsp;';
}
?></td>
</tr>
<tr bgcolor="#FFFFFF">
	<td id="nopad">
		<table border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td id="nopad" style="padding:0px 45px 0px 33px"><a href="index.php"><img src="img/logo.gif" width="57" height="70" alt="" border="0"></a></td>
			<td id="nopad"><img src="img/aplite.gif" width="187" height="77" alt="" border="0"></td>
		</tr>
		</table>
	<td id="nopad" valign="top" background="img/bg3.gif"><img src="img/frag4.gif" width="15" height="7" alt="" border="0"></td>
	<td id="nopad"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
	<td id="nopad" align="center">
		<a href="../" target="_blank"><?= strlen(CLIENT_LOGO)>0?CLIENT_LOGO:'<h1>'.CLIENT_NAME.'</h1>' ?></a>
	</td>
</tr>
</table>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr bgcolor="#B5CFC5">
	<td id="nopad"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
</tr>
<tr bgcolor="#EDF3F1">
	<td id="nopad"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
</tr>
<tr bgcolor="#A5C5B8">
	<td class="menu" style="padding:10px; white-space: nowrap">
<?php
if (isset($_SESSION['User']) && $_SESSION['User']->GetId())
{
	if (!DISALLOW_ADMIN && $_SESSION['User']->IsWebMaster())
	{
?>	
		<a href="index.php?mod=aplite&chapter=ie" class="menu"> </a>
		&nbsp;|&nbsp;
		<a href="index.php?mod=aplite&chapter=ie_groups" class="menu"> </a>
		&nbsp;|&nbsp;
		<a href="index.php?mod=aplite&chapter=rubricator" class="menu"></a>
		&nbsp;|&nbsp;
		<a href="index.php?mod=aplite&chapter=statics" class="menu"> </a>
		&nbsp;|&nbsp;
		<a href="index.php?mod=aplite&chapter=forms" class="menu"></a>
		&nbsp;|&nbsp;
		<a href="index.php?mod=aplite&chapter=mods" class="menu"></a>
<?php
	}
}
?>	
	</td>
</tr>

<tr bgcolor="#5E927D">
	<td id="nopad"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
</tr>
<tr bgcolor="#2F493F">
	<td id="nopad"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
</tr>
</table>

<table border="0" cellspacing="5" cellpadding="0" width="100%">
<tr>
	<td>
<?php
if (isset($_SESSION['User']) && $_SESSION['User']->GetId())
{
?>
		<!-- tabs -->
		<table border="0" cellspacing="0" cellpadding="0" width="100%">
		<tr>
<?php
	$modules = $mods->GetAll(true);
	foreach ($modules as $mod_id => $opts)
	{
		if (!$_SESSION['User']->IsModPermission($mod_id)) continue;
		$postfix = ($_SESSION["current_module"]->identifier==$opts['Identifier'])?"-a":"-p";
?>
			<td id="nopad" width="4"><img src="img/tabs_lt<?=$postfix?>.gif" width="4" height="4" alt="" border="0"></td>
			<td id="nopad" background="img/tabs_mt<?=$postfix?>.gif"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
			<td id="nopad" width="4"><img src="img/tabs_rt<?=$postfix?>.gif" width="4" height="4" alt="" border="0"></td>
<?php
	}
?>
			<td id="nopad" width="100%"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
		</tr>
		<tr>
<?php
	foreach ($modules as $mod_id => $opts)
	{
		if (!$_SESSION['User']->IsModPermission($mod_id)) continue;
		$postfix = ($_SESSION["current_module"]->identifier==$opts['Identifier'])?"-a":"-p";
?>
			<td id="nopad" background="img/tabs_lm<?=$postfix?>.gif"><img src="img/sp.gif" width="1" height="20" alt="" border="0"></td>
			<td id="nopad" nowrap <?=($_SESSION["current_module"]->identifier==$opts['Identifier'])?"":'bgcolor="#DFE7B4"'?>>&nbsp;<a href="index.php?mod=<?=$opts['Identifier']?>" class="menu"><?=$opts["Title"]?></a>&nbsp;</td>
			<td id="nopad" background="img/tabs_rm<?=$postfix?>.gif"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
<?php
	}
?>
			<td align="right" id="nopad" width="100%" style="white-space: nowrap; padding-left: 6px">
<?php
	if ($_SESSION['User']->IsAdmin())
	{
?>
				<a href="index.php?mod=aplite&chapter=admins"></a> &nbsp;
<?php
	}
?>
				<a href="index.php?mod=aplite&chapter=admins&topic=edit&id=<?= $_SESSION['User']->GetId() ?>"></a> &nbsp;
				<a href="logout.php">  </a>

			</td>
		</tr>
		<tr>
<?php
	foreach ($modules as $mod_id => $opts)
	{
		if (!$_SESSION['User']->IsModPermission($mod_id)) continue;
		$postfix = ($_SESSION["current_module"]->identifier==$opts['Identifier'])?"-a":"-p";
?>
			<td id="nopad" width="4"><img src="img/tabs_lb<?=$postfix?>.gif" width="4" height="4" alt="" border="0"></td>
			<td id="nopad" background="img/tabs_mb<?=$postfix?>.gif"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
			<td id="nopad" width="4"><img src="img/tabs_rb<?=$postfix?>.gif" width="4" height="4" alt="" border="0"></td>
<?php
	}
?>
			<td id="nopad" background="img/tabs_bg.gif" width="100%"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
		</tr>
		</table>
		<!-- /tabs -->
<?php
}
else
{
?>
		<table border="0" cellspacing="0" cellpadding="0" width="100%">
		<tr>
			<td id="nopad" bgcolor="#FFFFFF"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
		</tr>
		</table>
<?php
}
?>
		<table border="0" cellspacing="0" cellpadding="0" width="100%">
		<tr>
			<td id="nopad" width="1" bgcolor="#FFFFFF"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
			<td id="nopad" width="100%"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
			<td id="nopad" width="1" bgcolor="#FFFFFF"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
			<td id="nopad" width="1" bgcolor="#9EAB52"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
		</tr>
		<tr>
			<td id="nopad" bgcolor="#FFFFFF"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
			<td>
<?php
function EchoError()
{
	while (!is_null($error = $_SESSION['Error']->Fetch()))
	{
		switch ($error['level'])
		{
			case E_ERROR:
				?><div class="error">: <?= $error['message'] ?></div><br><?php
			break;
			case E_NOTICE:
				?><div class="notice">: <?= $error['message'] ?></div><br><?php
			break;
		}
	}
}
if (isset($_SESSION['User']) && $_SESSION['User']->GetId())
{
	if ($_SESSION['User']->IsModPermission($_SESSION['current_module']->id))
	{
?>			
				<table border="0" cellspacing="0" cellpadding="0" width="100%">
				<tr>
					<td valign="top" width="10%">
						<?php include('mods/'.$_SESSION['current_module']->identifier.'/menu.php'); ?>
					</td>
					<td valign="top" width="90%">
<?php
		EchoError();
		include 'content.php';
?>
					</td>
				</tr>
				</table>
<?php
	}
	else
	{
		?><div class="error">    &quot;<?= $_SESSION['current_module']->title ?>&quot;</div><?php
	}
}
else
{
	EchoError();
	include 'login.php';
}
?>
			</td>
			<td id="nopad" bgcolor="#C8D290"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
			<td id="nopad" bgcolor="#9EAB52"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
		</tr>
		<tr>
			<td id="nopad" bgcolor="#FFFFFF"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
			<td id="nopad" bgcolor="#C8D290"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
			<td id="nopad" bgcolor="#C8D290"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
			<td id="nopad" bgcolor="#9EAB52"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
		</tr>
		<tr>
			<td colspan="4" id="nopad" bgcolor="#9EAB52"><img src="img/sp.gif" width="1" height="1" alt="" border="0"></td>
		</tr>
		</table>
	</td>
</tr>
</table>

</body>
</html>

<?php
$connection->disconnect();

require 'sessionstop.php';

ob_end_flush();
?>