<?php
if(!defined('__FORMS__'))
{
	define('__FORMS__', true);

//	include_once(dirname(__FILE__).'/../../../../inc/classes/storage.php');

	class Forms extends Storage
	{
		function __construct(&$connection)
		{
			parent::__construct($connection, 'forms', 'Form_Id');
		}

		function CountAll()
		{
			return $this->CountRecs($this->table);
		}

		function GetAll($order = 'Title')
		{
            $ret = $this->GetAllRecs($this->table, '*', $this->index, $order);
			return $ret;
		}
		
		function GetNextId()
		{
			return $this->_GetEntityProperties($this->table);
		}
		
		function GetIdentifiers()
		{
			return $this->GetPairs($this->table, null, 'Identifier');
		}

		function GetObjByIdentifier($identifier)
		{
        	$ret = $this->GetRec($this->table, $this->index, "Identifier='$identifier'");
            if (!$ret)
            {
            	$ret = false;
			}
            else
			{
				$ret = new Form($this->connection, $ret);
            }
			return $ret;
		}
	}
}
?>