<?php
if(!defined('__MOD__'))
{
	define('__MOD__', true);

//	include_once(dirname(__FILE__).'/../../../../inc/classes/storage.php');

	class Mod extends Storage
	{
		function __construct(&$connection, $id = null)
		{
			parent::__construct($connection, 'mods', 'Mod_Id');
			$this->SetId($id);
			if ($this->id != null)
			{
				$data = $this->GetRec($this->table, "*", $this->index."=".$this->id);
				$this->identifier = $data['Identifier'];
				$this->title = $data['Title'];
				$this->ord = $data['Ord'];
				$this->state = $data['State'];
			}
		}

		function Delete()
		{
			if ($this->id == null) return false;
			$sql = "DELETE FROM ".$this->table." WHERE ".$this->index."=".$this->id;
			$this->connection->exec($sql);
			$sql = "DELETE FROM mod_permissions WHERE ".$this->index."=".$this->id;
			$this->connection->exec($sql);
			$sql = "UPDATE ".$this->table." SET Ord=Ord-1 WHERE Ord>".$this->ord;
			$this->connection->exec($sql);
			$this->id = null;
			return true;
		}

		function MoveDown()
		{
			if ($this->id == null) return false;
			$ord = $this->GetRec($this->table, "Ord", $this->index."=".$this->id) + 1;
			$sql = "UPDATE ".$this->table." SET Ord=Ord-1 WHERE Ord=".$ord;
			$res = $this->connection->exec($sql);
			$sql = "UPDATE ".$this->table." SET Ord=Ord+1 WHERE ".$this->index."=".$this->id;
			$res = $this->connection->exec($sql);
		}

		function MoveUp()
		{
			if ($this->id == null) return false;
			$ord = $this->GetRec($this->table, "Ord", $this->index."=".$this->id) - 1;
			$sql = "UPDATE ".$this->table." SET Ord=Ord+1 WHERE Ord=".$ord;
			$res = $this->connection->exec($sql);
			$sql = "UPDATE ".$this->table." SET Ord=Ord-1 WHERE ".$this->index."=".$this->id;
			$res = $this->connection->exec($sql);
		}

		function Update($title, $state)
		{
			if ($this->id == null) return false;
			$sql = "UPDATE ".$this->table." SET Title='$title', State=$state WHERE ".$this->index."=".$this->id;
			return $this->connection->exec($sql);
		}
	}
}
?>