<?php
if(!defined("__MODS__"))
{
	define("__MODS__", true);

//	include_once(dirname(__FILE__).'/../../../../inc/classes/storage.php');
//	include_once(dirname(__FILE__).'/mod.php');

	class Mods extends Storage
	{
		function __construct(&$connection)
		{
			parent::__construct($connection, 'mods', 'Mod_Id');
		}

		function GetAll($onlyactive = false)
		{
            return $this->GetAllRecs("mods", "Identifier,Title,Ord,State", "Mod_Id", "Ord", ($onlyactive) ? "State=1" : DB::WHERE_CLAUSE_NEUTRAL);
		}

		function Add($identifier, $title, $state = 1)
		{
			$sql = "SELECT MAX(Ord) FROM ".$this->table;
			$ord = $this->connection->getField($this->connection->exec($sql)) + 1;
			$sql = "INSERT INTO ".$this->table." SET Identifier='$identifier', Title='$title', State=$state, Ord=$ord";
			$this->connection->exec($sql);
			return $this->connection->GetInsertedId();
		}

		function GetObjByIdentifier($identifier)
		{
        	$ret = $this->GetRec($this->table, 'Mod_Id', "Identifier='".$this->connection->EscapeString($identifier)."'");
            if (!$ret)
            {
            	return false;
			}
            else
			{
				return new Mod($this->connection, $ret);
            }
		}
	}
}
?>