<?php

if(!defined('__RUBRICATORS__'))
{
	define('__RUBRICATORS__', true);

//	include_once(dirname(__FILE__).'/../../../../inc/classes/storage.php');

	/**
	 * Class Rubricators()
	 *      () -  ( ) .
	 *      
	 * @author maximy@ex-v6.ru
	 */
	class Rubricators extends Storage
	{
		function __construct(&$connection)
		{
			parent::__construct($connection, "rub_groups", "Group_Id");
		}

		function GetByIdentifier($identifier)
		{
        	$group_id = $this->GetRec($this->table, $this->index, "Identifier='$identifier'");
			if($group_id)
				$rubricator = new Rubricator($this->connection, $group_id);
			else
				return false;
			if ($rubricator->GetId())
				return $rubricator;
			else
				return false;
		}

		function CountAll()
		{
			return $this->CountRecs($this->table);
		}

		function GetAll($order="Title")
		{
			return $this->GetAllRecs($this->table, "*", null, $order);
		}

		function GetGroupsIdentifiers()
		{
			return $this->GetPairs($this->table, null, 'Identifier');
		}

		function GetNextId()
		{
			return $this->_GetEntityProperties($this->table, "Auto_increment");
		}
	}
}
?>