<?php
require '../../../../include.admin.php';
//include_once(MOD_PATH.'/classes/admin.php');

$return = '';
if ($_SESSION['User']->IsAdmin())
{
	$isadmin = (isset($isadmin)) ? (int)$isadmin : 0;
	$isstaticseditor = (isset($isstaticseditor)) ? (int)$isstaticseditor : 0;
	if ($_SESSION['User']->IsWebmaster())
	{
		$iswebmaster = (isset($iswebmaster)) ? (int)$iswebmaster : 0;
	}
	else
	{
		$iswebmaster = null;
	}
	$name = parseHtml($name);
	if (isset($id))
	{
		$adm = new Admin($connection, $id);
		if ($adm->IsWebmaster())
		{
			$isadmin = 1;
			if ($adm->IsAdmin()) $_SESSION['Error']->Add(array('level'=>E_NOTICE, 'message'=>E_MSG_ADMIN_PERSIST));
		}
		if(!$adm->Update($name, $login, $pass, $isadmin, $isstaticseditor, $iswebmaster))
		{
			$_SESSION['Error']->Add(array('level'=>E_ERROR, 'message'=>E_MSG_SAVE));
			$_SESSION["HTTP_POST_VARS"] = $_POST;
			$return = '&topic=edit&id='.$id;
		}
	}
	else
	{
		$adm = new Admin($connection);
		if (!$id = $adm->Add($name, $login, $pass, $isadmin, $isstaticseditor, $iswebmaster))
		{
			$_SESSION['Error']->Add(array('level'=>E_ERROR, 'message'=>E_MSG_SAVE));
			$_SESSION["HTTP_POST_VARS"] = $_POST;
			$return = '&topic=edit';
		}
	}
	
	if ($id && !$adm->IsWebmaster() && !$adm->IsAdmin())
		$adm->SetPermissions(
			(isset($_POST['ies'])) ? $_POST['ies'] : array(), 
			(isset($_POST['restructs'])) ? $_POST['restructs'] : array(),
			(isset($_POST['mods'])) ? $_POST['mods'] : array()
		);
}
elseif ($id==$_SESSION['User']->GetId())
{
	$adm = new Admin($connection, $id);
	if (!$adm->Update(null, $login, $pass))
	{
		$_SESSION['Error']->Add(array('level'=>E_ERROR, 'message'=>E_MSG_SAVE));
		$_SESSION["HTTP_POST_VARS"] = $_POST;
	}
	$return = '&topic=edit&id='.$id;
}
else
{
	$_SESSION['Error']->Add(array('level'=>E_ERROR, 'message'=>E_MSG_NO_PERMISIION));
}

header('Location: ../../../../index.php?chapter=admins'.$return);
exit();
?>
