<?php
require_once("../../../../include.admin.php");
//require_once(MOD_PATH."/classes/ie.php");
//require_once(MOD_PATH."/classes/rubricator.php");

$return = '';

if ($_SESSION['User']->IsWebMaster())
{
	$title = parseHtml($title);
	if (($identifier = checkIdentifier($identifier, "Rubricator")) && strlen(trim($title)) > 0)
	{
		if (isset($id))
		{
			$rubricator = new Rubricator($connection, $id);
			$rublevelsmax = isset($_POST['rublevelsmax']) ? (int)$_POST['rublevelsmax']:null;
			if (!$rubricator->Update($identifier, $title, $rublevelsmax))
			{
				$_SESSION['HTTP_POST_VARS'] = $_POST;
				$_SESSION['Error']->Add(array('level'=>E_ERROR, 'message'=>E_MSG_SAVE));
				$return = '&topic=edit&group_id='.$id;
			}
		}
		else
		{
			$rubricator = new Rubricator($connection);
			if (!$rubricator->Create($identifier, $title, $_POST['rublevelsmax']))
			{
				$_SESSION['HTTP_POST_VARS'] = $_POST;
				$_SESSION['Error']->Add(array('level'=>E_ERROR, 'message'=>E_MSG_SAVE));
			}
		}
	}
	else
	{
		//error_log("(".__FILE__.":".__LINE__.") -  ");
		$_SESSION["HTTP_POST_VARS"] = $HTTP_POST_VARS;
		if (isset($id)) $return = "&topic=edit&group_id=".$id;
		$_SESSION["Error"]->Add(array("level"=>E_ERROR, "message"=>E_MSG_FORM));
	}
}
else
{
	$_SESSION["Error"]->Add(array("level"=>E_ERROR, "message"=>E_MSG_NO_PERMISIION));
}

$connection->disconnect();

$sort = (isset($sort) && $sort != 0) ? $sort : 2;

header("Location: ../../../../index.php?chapter=rubricator&sort=".$sort.$return);
exit();
?>