<?php
require '../../../../include.admin.php';
//require_once(MOD_PATH."/classes/rub.php");

$return = '';

$title = trim(parseHtml($title));
$res = true;
if (($identifier = checkIdentifier($identifier, 'Rub')) && strlen($title) > 0)
{
	if ($_SESSION['User']->IsRestructPermission((int)$group_id))
	{
		$ie_save_included = true;
		include_once('../ie_edit/save.php');
		$flags = 0;
		if ($_SESSION['User']->IsWebMaster())
		{
			if (isset($_POST['lockdelete'])) $flags |= Rub::FLAG_LOCKDELETE;
			if (isset($_POST['lockidentif'])) $flags |= Rub::FLAG_LOCKIDENT;
		}
		if (isset($rub_id))
		{
			$rub = new Rub($connection, $rub_id);
			if (!$_SESSION['User']->IsWebMaster()) $flags = $rub->flags;
			if ($rub->flags & Rub::FLAG_LOCKIDENT  && $identifier != $rub->identifier)
			{
				$_SESSION['Error']->Add(array('level'=>E_ERROR, 'message'=>'    '));
			}
			elseif (!$rub->Update($title, $rub_parent, $ord, $identifier, $sorttype, $flags))
			{
				$_SESSION['HTTP_POST_VARS'] = $_POST;
				$_SESSION['Error']->Add(array('level'=>E_ERROR, 'message'=>E_MSG_SAVE));
				$return = '&topic=edit&rub_id='.$rub_id;
				$res = false;
			}
		}
		else
		{
			$rub = new Rub($connection);
			if (!$rub->Create($title, $group_id, $rub_parent, $ord, $identifier, $id, $sorttype, $flags))
			{
				$_SESSION['HTTP_POST_VARS'] = $_POST;
				$_SESSION['Error']->Add(array('level'=>E_ERROR, 'message'=>E_MSG_SAVE));
				$return = '&topic=edit';
				$res = false;
			}
			else
			{
				$_SESSION['User']->AddPublishPermission($rub->GetId());
			}
		}
	}
	else
	{
		$_SESSION['Error']->Add(array('level'=>E_ERROR, 'message'=>E_MSG_NO_PERMISIION));
	}
}
else
{
	$_SESSION['HTTP_POST_VARS'] = $_POST;
	if (isset($rub_id)) $return = '&topic=edit&rub_id='.$rub_id;
	$_SESSION['Error']->Add(array('level'=>E_ERROR, 'message'=>E_MSG_FORM));
}

$connection->disconnect();

if (isset($_REQUEST['autosave']) && $_REQUEST['autosave']>0)
{
	switch ($_REQUEST['autosave'])
	{
		case APL_AUTOSAVE_TEXT:
			header('Location: ../ie_edit/autosave.php?autosave='.($res>0?APL_AUTOSAVE_TEXT:0));
			break;
		case APL_AUTOSAVE_DATA:
			header('Location: ../ie_edit/autosave.php?autosave='.($res>0?APL_AUTOSAVE_DATA:0));
			break;
	}
	exit();
}
header('Location: ../../../../index.php?chapter=rubs&group_id='.$group_id.$return);
exit();
?>