<?php
//   
define("ADMIN_CHAPTER_DEFAULT", "keys");

if (!defined('MEMCACHE_HOST')) define('MEMCACHE_HOST', 'localhost');
if (!defined('MEMCACHE_PORT')) define('MEMCACHE_PORT', 11211);

$StatsKeys = array(
	'pid'					=> 'ID  ',
	'uptime'				=> '  , .',
	'time'					=> 'Current UNIX time according to the server',
	'version'				=> ' ',
	'pointer_size'			=> '???',
	'rusage_user'			=> 'Accumulated user time for this process',
	'rusage_system'			=> 'Accumulated system time for this process',
	'curr_items'			=> '   ',
	'total_items'			=> '      ',
	'bytes'					=> '    ',
	'curr_connections'		=> '  ',
	'total_connections'		=> '     ',
	'connection_structures'	=> '  ,  ',
	'cmd_get'				=> '    ',
	'cmd_set'				=> '    ',
	'get_hits'				=> '    ',
	'get_misses'			=> '     ',
	'bytes_read'			=> '     ',
	'bytes_written'			=> '     ',
	'limit_maxbytes'		=> '  ,    ',
);
$SkipStatsKeys = array('pid', 'time', 'pointer_size', 'rusage_user', 'rusage_system');

function SecondsToString($t)
{
	$r = array('d' => 0, 'h' => 0, 'm' => 0, 's' => 0);
	$r['s'] = $t%60;
	if ($r['s'] < $t)
	{
		$m = floor($t/60);
		$r['m'] = $m%60;
		if ($r['m'] < $m)
		{
			$h = floor($m/60);
			$r['h'] = $h%24;
			if ($r['h'] < $h)
			{
				$r['d'] = floor($h/24);
			}
		}
	}
	$str = '';
	if ($r['s']>0) $str = $r['s'].'&nbsp;.';
	if ($r['m']>0) $str = $r['m'].'&nbsp;. '.$str;
	if ($r['h']>0) $str = $r['h'].'&nbsp;. '.$str;
	if ($r['d']>0) $str = $r['d'].'&nbsp;. '.$str;
	return $str;
}
?>