<?php
if(!defined("__SHOP_FIELDS__"))
{
	define("__SHOP_FIELDS__", true);

	include_once(dirname(__FILE__)."/../../../../inc/classes/storage.php");

	class Shop_Fields extends Storage
	{
		public $connection = null;

		function Shop_Fields(&$connection)
		{
			$this->connection = $connection;
		}

		function Add($title, $kind, $catalog_id)
		{
			$sql = "SELECT MAX(Ord) FROM shop_fields WHERE Catalog_Id=".$catalog_id;
			$ord = $this->connection->getField($this->connection->exec($sql)) + 1;
			$sql = "INSERT INTO shop_fields SET Title='$title', Kind='$kind', Ord=$ord, Catalog_Id=$catalog_id";
			$this->connection->exec($sql);
			return  $this->connection->getInsertedId();
		}
		
		function Update($title, $kind, $attr, $field_id)
		{
			$sql = "UPDATE shop_fields SET Title='$title', Kind='$kind', Attr='$attr' WHERE Id=$field_id";
			$this->connection->exec($sql);
		}
		
		function Delete($field_id)
		{
			$sql = "DELETE FROM shop_fields WHERE Id=$field_id";
			$this->connection->exec($sql);
			$sql = "DELETE FROM shop_data WHERE Field_Id=$field_id";
			$this->connection->exec($sql);
		}
		
		function GetFields($catalog_id)
		{
			return $this->GetAllRecs("shop_fields", "Title, Kind, Attr", "Id", "Ord", "Catalog_Id=".$catalog_id);
		}
		
		function GetFieldType($id)
		{
			return $this->GetRec("shop_fields", "Kind", "Id=".$id);
		}
		
		function GetCount($catalog_id)
		{
			return $this->CountRecs("shop_fields", "Catalog_Id=".$catalog_id);
		}
		
		function GetTotalCount($catalog_id)
		{
			$ret = 0;
			$cat = new Shop_Catalog($connection);
			$path_rub = $cat->GetPathRubrics($catalog_id);
			foreach($path_rub as $key => $value)
			{
				$ret += $flds->GetCount($key); 
			}
		}
		
		function MoveFieldDown($catalog_id, $field_id)
		{
			$ord = $this->GetRec("shop_fields", "Ord", "Id=".$field_id) + 1;
			$sql = "UPDATE shop_fields SET Ord=Ord-1 WHERE Ord=".$ord." AND Catalog_Id=".$catalog_id;
			$res = $this->connection->exec($sql);
			$sql = "UPDATE shop_fields SET Ord=Ord+1 WHERE Id=".$field_id." AND Catalog_Id=".$catalog_id;
			$res = $this->connection->exec($sql);
		}

		function MoveFieldUp($catalog_id, $field_id)
		{
			$ord = $this->GetRec("shop_fields", "Ord", "Id=".$field_id) - 1;
			$sql = "UPDATE shop_fields SET Ord=Ord+1 WHERE Ord=".$ord." AND Catalog_Id=".$catalog_id;
			$res = $this->connection->exec($sql);
			$sql = "UPDATE shop_fields SET Ord=Ord-1 WHERE Id=".$field_id." AND Catalog_Id=".$catalog_id;
			$res = $this->connection->exec($sql);
		}
	}
}
?>