<?php
if(!defined("__SHOP_PROMO__"))
{
	define("__SHOP_PROMO__", true);

	include_once(dirname(__FILE__)."/../../../../inc/classes/storage.php");
	
	class Shop_Promo extends Storage
	{
		public $connection = null;

		function Shop_Promo(&$connection)
		{
			$this->connection = $connection;
		}
		
		function Get($id)
		{
			return $this->GetRec("shop_promo", "Title, Goods_Id, Description, Kind", "Id=".$id);
		}

		function GetAll($kind = -1)
		{
			if ($kind == -1)
			{
				return $this->GetAllRecs("shop_promo", "Title, Goods_Id, Description, Kind", "Id", "Id DESC");
			}
			else
			{
				return $this->GetAllRecs("shop_promo", "Title, Goods_Id, Description", "Id", "Id DESC", "Kind=".$kind);
			}
		}
		
		function Add($goods_id, $title, $description, $kind)
		{
			$sql = "INSERT INTO shop_promo SET
					Goods_Id=$goods_id,
					Title='$title',
					Description='$description',
					Kind=$kind";
			$this->connection->exec($sql);
			return  $this->connection->getInsertedId();
		}
		
		function Update($id, $title, $description, $kind)
		{
			$sql = "UPDATE shop_promo SET
					Title='$title',
					Description='$description',
					Kind=$kind
					WHERE Id=$id";
			$this->connection->exec($sql);
		}
		
		function Delete($id)
		{
			$sql = "DELETE FROM shop_promo WHERE Id=$id";
			$this->connection->exec($sql);		
			return true;
		}
		
		function GetCount()
		{
			return $this->CountRecs("shop_promo");
		}
	}
}
?>