<?php
if(!defined('__STATS_ADMIN__'))
{
	define('__STATS_ADMIN__', true);

	include_once(dirname(__FILE__).'/user.php');

	/**
	 * Class Stats_Admin()
	 *         -.
	 * @author maxim.yefimochkin@v6.ru
	 */
	class Stats_Admin extends Stats_User
	{
		function Stats_Admin(&$connection, $rub_group_id = null)
		{
			$this->Stats_User($connection, $rub_group_id);
		}

		function SaveGroupOpts($opts)
		{
			if ($this->rub_group_id == null) return false;
			$new_opts = $opts['use_stats'] & STATS_OPTS_GROUP_USESTATS;
			if ($this->CheckGroup() == 0)
			{
				$sql = 'INSERT INTO stats_rub_groups (Group_Id, Options) VALUES('.$this->rub_group_id.','.$new_opts.')';
			}
			else
			{
				$sql = 'UPDATE stats_rub_groups SET Options='.$new_opts.' WHERE Group_Id='.$this->rub_group_id;
			}
			return $this->connection->exec($sql);
		}
		
		function CheckGroup()
		{
			if ($this->rub_group_id == null) return false;
			return $this->CountRecs('stats_rub_groups', 'Group_Id='.$this->rub_group_id);
		}
		
		function GetRubStats($rub_id)
		{
			if ($this->rub_group_id == null) return false;
			if ($stats = $this->GetRec('stats_rubs', '*', 'Rub_Id='.$rub_id))
			{
				$stats['Hosts'] = $this->GetRec('stats_visits', 'COUNT(DISTINCT Visiter_Id)', 'Rub_Id='.$rub_id);
			}
			return $stats;
		}
	}
}
?>