<?php
if(!defined("__GALLERY__")) 
{
	define("__GALLERY__", true);
	define("FILE_UPLOAD_DIR", realpath(dirname(__FILE__)."/../../../files/lib/")."/");
	define("FILE_SHOW_DIR", "files/lib/");
	define("FILE_SHOW_DIR_PREFIX", "../../../../");
	define("FILE_SHOW_DELETE", "admin/visualeditor/interface/image_lib/galleries.php");
	define("FILE_UPLOAD_TMP_PREFIX", "tmp");

	define("FULLFILE_UPLOAD_DIR", realpath(dirname(__FILE__)."/../../../files/lib_full/")."/");	
	define("FULLFILE_SHOW_DIR", "files/lib_full/");	

//	include_once(dirname(__FILE__)."/../../../inc/classes/storage.php");

	class Gallery extends Storage
	{
		function Gallery(&$connection, $id = null)
		{
			$this->Storage($connection, "image_groups", "Image_Group_Id");
			$this->SetId($id);
		}
		
		function AddImage($img_name)
		{
			if ($this->id == null) return false;
			$sql = "INSERT INTO images SET FileName='$img_name', Image_Group_Id=".$this->id;
			if($this->connection->exec($sql))
			{
			 	rename(FILE_UPLOAD_DIR.FILE_UPLOAD_TMP_PREFIX.$img_name, FILE_UPLOAD_DIR.$this->connection->getInsertedId()."_".$img_name);
				chmod(FILE_UPLOAD_DIR.$this->connection->getInsertedId()."_".$img_name, APL_UPLOADEDFILE_PERM);
			}
		}
		
		function GetParent()
		{
			if ($this->id == null) return false;
			return $this->GetRec("image_groups", "Parent_Id", "Image_Group_Id=".$this->id);
		}
		
		function GetImages()
		{
			if ($this->id == null) return false;
			return $this->GetAllRecs("images", "Filename, Full_Filename", "Image_Id", "Image_Id DESC", "Image_Group_Id=".$this->id);
		}
		
		function DeleteImage($img_id)
		{
			if ($this->id == null) return false;
			$filename = FILE_UPLOAD_DIR.$img_id."_".$this->GetRec("images", "FileName", "Image_Id=".$img_id);
			$full_filename = $this->GetRec("images", "Full_FileName", "Image_Id=".$img_id);
			$sql = "DELETE FROM images WHERE Image_Id=".$img_id;
			if($this->connection->exec($sql))
			{
			 	unlink($filename);
				if ($full_filename != "")
				{
					unlink(FULLFILE_UPLOAD_DIR.$img_id."_".$full_filename);
				}
			}
		}
		
		function Create($par_id, $title)
		{
			$sql = "INSERT INTO image_groups SET Title='$title', Parent_Id=$par_id";
			if ($this->connection->exec($sql))
			{
				$this->id = $this->connection->getInsertedId();
				return $this->id;
			}
			else return false;
		}

		function Update($id, $par_id, $title)
		{
			$sql = "UPDATE image_groups SET Title='$title', Parent_Id=$par_id WHERE Image_Group_Id=".$id;
			return $this->connection->exec($sql);
		}
		
		function CountChildren()
		{
			return $this->CountRecs("image_groups", "Parent_Id=".$this->id);
		}
		
		function Delete()
		{
			if ($this->id == null) return false;
			if ($this->CountChildren() > 0) return false;
			
			$imgs = $this->GetImages();
			foreach($imgs as $key => $value)
			{
				$this->DeleteImage($key);
			}
			$sql = "DELETE FROM image_groups WHERE Image_Group_Id=".$this->id;
			$this->id = null;
			return $this->connection->exec($sql);
		}
		
		//  ,        $cur_id
		function CheckParent($par_id, $cur_id = false)
		{
			if (!$cur_id)
			{
				$cur_id = $this->id;
				$this->no_valid_parents = array($cur_id);
			}
			$daughters = $this->GetPairs("image_groups", null, "Image_Group_Id", 1, "Parent_Id=".$cur_id);
			foreach($daughters as $value)
			{
				array_push($this->no_valid_parents, $value);
				$this->CheckParent(-1, $value);
			}
			if ($par_id != -1)
			{
				return !in_array($par_id, $this->no_valid_parents);
			}
			return false;
		}
	}
}
?>