<?
if(!defined("__ERROR_USER__"))
{
	define("__ERROR_USER__", true);

	Class Error_User
	{

		const ERR_NUM_SYSTEM	= 1;
		
		const ERR_NUM_NOTLOGIN	= 3;
		const ERR_NUM_LOGINDIS	= 4;
		const ERR_NUM_BADLOGIN	= 5;
		const ERR_NUM_USEDLOGIN	= 6;
		const ERR_NUM_EMPTY		= 7;
		const ERR_NUM_FORMAT	= 8;
		const ERR_NUM_PASSEQ	= 9;
		const ERR_NUM_ROBOT		= 10;
		
		const ERR_STR_SYSTEM	= "  .   .";
		
		const ERR_STR_NOTLOGIN	= "  .";
		const ERR_STR_LOGINDIS	= "  .";
		const ERR_STR_BADLOGIN	= "   .";
		const ERR_STR_USEDLOGIN	= "   .";
		const ERR_STR_EMPTY		= "   .";
		const ERR_STR_FORMAT	= "     .";
		const ERR_STR_PASSEQ	= "  .";
		const ERR_STR_ROBOT		= " ,    . ,  .";

		private static $error_array = array(
			self::ERR_NUM_SYSTEM	=> self::ERR_STR_SYSTEM,
			self::ERR_NUM_NOTLOGIN	=> self::ERR_STR_NOTLOGIN,
			self::ERR_NUM_LOGINDIS	=> self::ERR_STR_LOGINDIS,
			self::ERR_NUM_BADLOGIN	=> self::ERR_STR_BADLOGIN,
			self::ERR_NUM_USEDLOGIN	=> self::ERR_STR_USEDLOGIN,
			self::ERR_NUM_EMPTY		=> self::ERR_STR_EMPTY,
			self::ERR_NUM_FORMAT	=> self::ERR_STR_FORMAT,
			self::ERR_NUM_PASSEQ	=> self::ERR_STR_PASSEQ,
			self::ERR_NUM_ROBOT		=> self::ERR_STR_ROBOT,
		);

		function __construct()
		{
		}

		public static function getError($num)
		{
			if (isset(self::$error_array[$num])) return self::$error_array[$num];
			else return null;
		}

	}
}
?>