<?php
function mime_type($t)
{
	if (strrpos($t,".")!==false)
	{
		$p=pathinfo($t);
		$t = $p["extension"];
	}
	switch (strtolower($t)) {
		case "doc":
		$r = "application/msword";
			break;
		case "xls":
		$r = "application/vnd.ms-excel";
			break;
		case "ppt":
		$r = "application/vnd.ms-powerpoint";
			break;
		case "zip":
		$r = "application/zip";
			break;
		case "htm":
		case "html":
		$r = "text/html";
			break;
		case "txt":
		$r = "text/plain";
			break;
		case "rtf":
		$r = "text/rtf";
			break;
		case "jpg":
		case "jpeg":
		case "jpe":
		$r = "image/jpeg";
			break;
		case "gif":
		$r = "image/gif";
			break;
		case "png":
		$r = "image/png";
			break;
		case "bmp":
		$r = "image/bmp";
			break;
		case "tif":
		case "tiff":
		$r = "image/tiff";
			break;
		default:
		$r = "application/octet-stream";
	}
	return $r;
}
?>